CREATE OR REPLACE VIEW "public"."vEntidadeGaiola" (
  codent,
  nomeent,
  descent,
  codstatusgeral,
  nomestatusgeral,
  codtipoent,
  nometipoent,
  tipoentmin,
  codlinha)
AS
SELECT 
  entidade.codent,
  entidade.nomeent,
  entidade.descent,
  statusgeral.codstatusgeral,
  statusgeral.nomestatusgeral,
  tipoentidade.codtipoent,
  tipoentidade.nometipoent,
  tipoentidade.tipoentmin,
  gaiola.codlinha
FROM
 public.entidade
 INNER JOIN public.gaiola ON (public.entidade.codent=public.gaiola.codgai)
 INNER JOIN public.statusgeral ON (public.entidade.codstatusgeral=public.statusgeral.codstatusgeral)
 INNER JOIN public.tipoentidade ON (public.entidade.codtipoent=public.tipoentidade.codtipoent)
WHERE
  (public.entidade.codent = public.gaiola.codgai) AND 
  (public.entidade.codstatusgeral = public.statusgeral.codstatusgeral) AND 
  (public.entidade.codtipoent = public.tipoentidade.codtipoent) AND 
  (public.entidade.codtipoent = 3)
-- 
-- 
-- ***
-- 
-- Consulta que relaciona a view EntidadeGaiola  tabela Linha (permitindo associao de gaiolas s respectivas linhas)
-- 
-- SELECT 
--   public."vEntidadeGaiola".codent as codentgai,
--   public."vEntidadeGaiola".nomeent as nomeentgai,
--   public."vEntidadeGaiola".descent as descentgai,
--   public.entidade.nomeent as nomeentlinha,
--   public.entidade.descent as descentlinha
-- FROM
--  public."vEntidadeGaiola"
--  INNER JOIN public.entidade ON (public."vEntidadeGaiola".codlinha=public.entidade.codent)
