CREATE OR REPLACE VIEW "public"."vEntidadeLinha" (
  codent,
  nomeent,
  descent,
  codstatusgeral,
  nomestatusgeral,
  codtipoent,
  nometipoent,
  tipoentmin,
  codbloco)
AS
SELECT 
  entidade.codent,
  entidade.nomeent,
  entidade.descent,
  statusgeral.codstatusgeral,
  statusgeral.nomestatusgeral,
  tipoentidade.codtipoent,
  tipoentidade.nometipoent,
  tipoentidade.tipoentmin,
  linha.codbloco
FROM
 public.entidade
 INNER JOIN public.linha ON (public.entidade.codent=public.linha.codlinha)
 INNER JOIN public.statusgeral ON (public.entidade.codstatusgeral=public.statusgeral.codstatusgeral)
 INNER JOIN public.tipoentidade ON (public.entidade.codtipoent=public.tipoentidade.codtipoent)
WHERE
  (public.entidade.codent = public.linha.codlinha) AND 
  (public.entidade.codstatusgeral = public.statusgeral.codstatusgeral) AND 
  (public.entidade.codtipoent = public.tipoentidade.codtipoent) AND 
  (public.entidade.codtipoent = 4)
-- 
-- 
-- 
-- ***
-- 
-- Consulta que relaciona a view EntidadeLinha  tabela Bloco (permitindo associao de linhas aos respectivos blocos)
-- 
-- SELECT 
--   public."vEntidadeLinha".codent as codentlinha,
--   public."vEntidadeLinha".nomeent as nomeentlinha,
--   public."vEntidadeLinha".descent as descentlinha,
--   public.entidade.nomeent as nomeentbloco,
--   public.entidade.descent as descentbloco
-- FROM
--  public."vEntidadeLinha"
--  INNER JOIN public.entidade ON (public."vEntidadeLinha".codbloco=public.entidade.codent)
