CREATE OR REPLACE VIEW "public"."vEntidadeBloco" (
  codent,
  nomeent,
  descent,
  codstatusgeral,
  nomestatusgeral,
  codtipoent,
  nometipoent,
  tipoentmin,
  codsala)
AS
SELECT 
  entidade.codent,
  entidade.nomeent,
  entidade.descent,
  statusgeral.codstatusgeral,
  statusgeral.nomestatusgeral,
  tipoentidade.codtipoent,
  tipoentidade.nometipoent,
  tipoentidade.tipoentmin,
  bloco.codsala
FROM
 public.entidade
 INNER JOIN public.statusgeral ON (public.entidade.codstatusgeral=public.statusgeral.codstatusgeral)
 INNER JOIN public.tipoentidade ON (public.entidade.codtipoent=public.tipoentidade.codtipoent)
 INNER JOIN public.bloco ON (public.entidade.codent=public.bloco.codbloco)
WHERE
  (public.entidade.codent = public.bloco.codbloco) AND 
  (public.entidade.codstatusgeral = public.statusgeral.codstatusgeral) AND 
  (public.entidade.codtipoent = public.tipoentidade.codtipoent) AND 
  (public.entidade.codtipoent = 5)
-- 
-- 
-- 
-- ***
-- 
-- 
-- Consulta que relaciona a view EntidadeBloco  tabela Sala (permitindo associao de blocos s respectivas salas)
-- 
-- 
-- SELECT 
--   public."vEntidadeBloco".codent as codentbloco,
--   public."vEntidadeBloco".nomeent as nomeentbloco,
--   public."vEntidadeBloco".descent as descentbloco,
--   public.entidade.nomeent as nomeentsala,
--   public.entidade.descent as descentsala
-- FROM
--  public."vEntidadeBloco"
--  INNER JOIN public.entidade ON (public."vEntidadeBloco".codsala=public.entidade.codent)
