CREATE OR REPLACE VIEW "public"."vEntidadePredio" (
  codent,
  nomeent,
  descent,
  codstatusgeral,
  nomestatusgeral,
  codtipoent,
  nometipoent,
  tipoentmin,
  codprop)
AS
SELECT 
  entidade.codent,
  entidade.nomeent,
  entidade.descent,
  statusgeral.codstatusgeral,
  statusgeral.nomestatusgeral,
  tipoentidade.codtipoent,
  tipoentidade.nometipoent,
  tipoentidade.tipoentmin,
  predio.codprop
FROM
 public.entidade
 INNER JOIN public.statusgeral ON (public.entidade.codstatusgeral=public.statusgeral.codstatusgeral)
 INNER JOIN public.tipoentidade ON (public.entidade.codtipoent=public.tipoentidade.codtipoent)
 INNER JOIN public.predio ON (public.entidade.codent=public.predio.codpre)
WHERE
  (public.entidade.codent = public.predio.codpre) AND 
  (public.entidade.codstatusgeral = public.statusgeral.codstatusgeral) AND 
  (public.entidade.codtipoent = public.tipoentidade.codtipoent) AND 
  (public.entidade.codtipoent = 8)
-- 
-- 
-- 
-- ***
-- 
-- Consulta que relaciona a view EntidadePredio  tabela Propriedade (permitindo associao de prdios s respectivas propriedades)
-- 
-- 
-- SELECT 
--   public."vEntidadePredio".codent as codentpre,
--   public."vEntidadePredio".nomeent as nomeentpre,
--   public."vEntidadePredio".descent as descentpre,
--   public.entidade.nomeent as nomeentprop,
--   public.entidade.descent as descentprop
-- FROM
--  public."vEntidadePredio"
--  INNER JOIN public.entidade ON (public."vEntidadePredio".codprop=public.entidade.codent)
