CREATE OR REPLACE VIEW "public"."vEntidadePropriedade" (
  codent,
  nomeent,
  descent,
  codstatusgeral,
  nomestatusgeral,
  codtipoent,
  nometipoent,
  tipoentmin,
  endprop,
  codcid,
  nomecid,
  coduf,
  siglauf,
  nomeuf)
AS
SELECT 
  entidade.codent,
  entidade.nomeent,
  entidade.descent,
  statusgeral.codstatusgeral,
  statusgeral.nomestatusgeral,
  tipoentidade.codtipoent,
  tipoentidade.nometipoent,
  tipoentidade.tipoentmin,
  propriedade.endprop,
  cidade.codcid,
  cidade.nomecid,
  uf.coduf,
  uf.siglauf,
  uf.nomeuf
FROM
 public.entidade
 INNER JOIN public.propriedade ON (public.entidade.codent=public.propriedade.codprop)
 INNER JOIN public.statusgeral ON (public.entidade.codstatusgeral=public.statusgeral.codstatusgeral)
 INNER JOIN public.tipoentidade ON (public.entidade.codtipoent=public.tipoentidade.codtipoent)
 INNER JOIN public.cidade ON (public.propriedade.codcid=public.cidade.codcid)
 INNER JOIN public.uf ON (public.cidade.coduf=public.uf.coduf)
WHERE
  (public.entidade.codent = public.propriedade.codprop) AND 
  (public.propriedade.codcid = public.cidade.codcid) AND 
  (public.cidade.coduf = public.uf.coduf) AND 
  (public.entidade.codstatusgeral = public.statusgeral.codstatusgeral) AND 
  (public.entidade.codtipoent = public.tipoentidade.codtipoent) AND 
  (public.entidade.codtipoent = 9)
-- 
-- 
-- 
-- ***
-- 
-- Consulta que relaciona a view EntidadePropriedade s tabela Cidade e Uf (permitindo associao de propriedades s respectivas cidades e ufs)
-- 
-- SELECT * FROM public."vEntidadePropriedade"