CREATE OR REPLACE VIEW "public"."vBandejaIncubadoraPosicao" (
  codposbanenc,
  codstatusgeral,
  nomestatusgeral,
  codenc,
  nomeenc,
  tposenc,
  descenc,
  codent,
  codtipoent,
  nomeent,
  codban,
  tlinban,
  tcolban,
  nomeban,
  nposenc,
  dataaloenc,
  dataretenc)
AS
SELECT 
  posbanenc.codposbanenc,
  statusgeral.codstatusgeral,
  statusgeral.nomestatusgeral,
  incubadora.codenc,
  incubadora.nomeenc,
  incubadora.tposenc,
  incubadora.descenc,
  entidade.codent,
  entidade.codtipoent,
  entidade.nomeent,
  bandeja.codban,
  bandeja.tlinban,
  bandeja.tcolban,
  bandeja.nomeban,
  posbanenc.nposenc,
  posbanenc.dataaloenc,
  posbanenc.dataretenc
FROM
 public.bandeja
 INNER JOIN public.posbanenc ON (public.bandeja.codban=public.posbanenc.codban)
 INNER JOIN public.incubadora ON (public.posbanenc.codenc=public.incubadora.codenc)
 INNER JOIN public.statusgeral ON (public.posbanenc.codstatusgeral=public.statusgeral.codstatusgeral)
 INNER JOIN public.entidade ON (public.incubadora.codsala=public.entidade.codent)
WHERE
  (public.posbanenc.codenc = public.incubadora.codenc) AND 
  (public.posbanenc.codban = public.bandeja.codban) AND 
  (public.posbanenc.codstatusgeral = public.statusgeral.codstatusgeral) AND 
  (public.incubadora.codsala = public.entidade.codent)