CREATE VIEW "public"."vBandejaNascedouroPosicao" (
    codposbannes,
    codstatusgeral,
    nomestatusgeral,
    codnes,
    nomenes,
    tcolnes,
    descnes,
    codent,
    codtipoent,
    nomeent,
    codban,
    tlinban,
    tcolban,
    nomeban,
    nposnes,
    dataalones,
    dataretnes)
AS
SELECT posbannes.codposbannes, statusgeral.codstatusgeral,
    statusgeral.nomestatusgeral, nascedouro.codnes, nascedouro.nomenes,
    nascedouro.tcolnes, nascedouro.descnes, entidade.codent,
    entidade.codtipoent, entidade.nomeent, bandeja.codban, bandeja.tlinban,
    bandeja.tcolban, bandeja.nomeban, posbannes.nposnes, posbannes.dataalones,
    posbannes.dataretnes
FROM ((((bandeja JOIN posbannes ON ((bandeja.codban = posbannes.codban))) JOIN
    nascedouro ON ((posbannes.codnes = nascedouro.codnes))) JOIN statusgeral ON
    ((posbannes.codstatusgeral = statusgeral.codstatusgeral))) JOIN entidade ON
    ((nascedouro.codsala = entidade.codent)))
WHERE ((((posbannes.codnes = nascedouro.codnes) AND (posbannes.codban =
    bandeja.codban)) AND (posbannes.codstatusgeral =
    statusgeral.codstatusgeral)) AND (nascedouro.codsala = entidade.codent));