package broker;

import java.sql.*;
import classepersistente.*;

/*@autor Arthur Maaneiro Magyar, Fbio Glauco dos Santos, Luciano Padilha*/
public class BrokerEspecieAve extends BrokerConexao
{
	private String especie;
	private	String tempmininc;
	private String tempmaxinc;
	private String umimininc;
	private String umimaxinc;
	private	String perinc;
	private String peraviinc;
	private String tempminnas;
	private String tempmaxnas;
	private String umiminnas;
	private String umimaxnas;
	private String pernas;
	private String peravinas;
	private String perrec;
	private Statement stmt;
	private String aux;
	private ResultSet rs;

	
	
    //mtodo para desmaterializar uma classe no banco
	public int desmaterializar()throws SQLException
	{
		try
		{
				
			Connection con = criaConexao();
			stmt=con.createStatement();
					
			aux="INSERT INTO EspecieAve (CodEsp, CodStatusGeral, NomeEsp, TempMinInc, TempMaxInc, UmiMinInc, UmiMaxInc, PerInc, PerAviInc, TempMinNas, TempMaxNas, UmiMinNas, UmiMaxNas, PerNas, PerAviNas, PerRec) VALUES("; 
			aux+="DEFAULT";
			aux+=",1";
			aux+=",'"+especie+"'";
			aux+=","+tempmininc;
			aux+=","+tempmaxinc;
			aux+=","+umimininc;
			aux+=","+umimaxinc;
			aux+=","+perinc;
			aux+=","+peraviinc;
			aux+=","+umimaxinc;
			aux+=","+tempminnas;
			aux+=","+tempmaxnas;
			aux+=","+umiminnas;
			aux+=","+umimaxnas;
			aux+=","+pernas;
			aux+=","+peravinas;
			aux+=","+perrec+");";
			
			System.out.println("comando Sql:"+aux);
			stmt.executeQuery(aux);
	        con.close();
	        stmt.close();
		}	
		catch(SQLException e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("SQL Exception no metodo desmaterializar  BrokerEspecieAve Query->" + aux);
		}
		catch(Exception e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("saiu no metodo selectAllEspecieAve  BrokerEspecieAve");
		}		

		return 56;
       
		}
	
    //mtodo para desmaterializar uma classe no banco
	public int desmaterializar(String esp)throws SQLException
	{
	try
	{
		Connection con = criaConexao();
		stmt=con.createStatement();
		aux="";
		aux="UPDATE EspecieAve SET NomeEsp='"+especie+"',TempMinInc="+tempmininc+",TempMaxInc="+tempmaxinc+",UmiMinInc="+umimininc+",UmiMaxInc="+umimaxinc+",PerInc="+perinc+",PerAviInc="+peraviinc+",TempMinNas="+tempminnas+",TempMaxNas="+tempmaxnas+",UmiMinNas="+umiminnas+",UmiMaxNas="+umimaxnas+",PerNas="+pernas+",PerAviNas="+peravinas+",PerRec="+perrec+" WHERE NomeEsp='"+especie+"';"; 
		stmt.executeQuery(aux);
        con.close();
        stmt.close();
	}
	catch(SQLException e)
	{
		System.out.println (e.getMessage());
		e.printStackTrace();
		System.out.println("SQL Exception no metodo desmaterializar  BrokerEspecieAve Query->" + aux);
	}
	catch(Exception e)
	{
		System.out.println (e.getMessage());
		e.printStackTrace();
		System.out.println("saiu no metodo selectAllEspecieAve  BrokerEspecieAve");
	}		

	return 56;
   
	}
	
	//mtodo para construir uma classe no banco
	public EspecieAve materializar(String esp)
	{
		EspecieAve  auxEspecieAve = new EspecieAve();
		
		try
		{
			con = criaConexao();
			stmt=con.createStatement();
			aux="SELECT * FROM EspecieAve WHERE NomeEsp='"+especie+"';"; 
			rs = stmt.executeQuery(aux);
	        while(rs.next())
	        {    
	        	
	    		auxEspecieAve.setEspecie(rs.getString("NomeEsp"));
	    		auxEspecieAve.setTempMinInc(rs.getString("TempMinInc"));
	    		auxEspecieAve.setTempMaxInc(rs.getString("TempMaxInc"));
	    		auxEspecieAve.setUmiMinInc(rs.getString("UmiMinInc"));
	    		auxEspecieAve.setUmiMaxInc(rs.getString("UmiMaxInc"));
	    		auxEspecieAve.setPerInc(rs.getString("PerInc"));
	    		auxEspecieAve.setPerAviInc(rs.getString("PerAviInc"));
	    		auxEspecieAve.setTempMinNas(rs.getString("TempMinNas"));
	    		auxEspecieAve.setTempMaxNas(rs.getString("TempMaxNas"));
	    		auxEspecieAve.setUmiMinNas(rs.getString("UmiMinNas"));
	    		auxEspecieAve.setUmiMaxNas(rs.getString("UmiMaxNas"));
	    		auxEspecieAve.setPerNas(rs.getString("PerNas"));
	    		auxEspecieAve.setPerAviNas(rs.getString("PerAviNas"));
	    		auxEspecieAve.setPerRec(rs.getString("PerRec"));
	        }
	        rs.close();
			con.close();
	        stmt.close();
		}	
		catch(SQLException e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("SQL Exception no metodo desmaterializar  BrokerEspecieAve Query->" + aux);
		}
		catch(Exception e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("saiu no metodo selectAllEspecieAve BrokerLogin");
		}		
		return auxEspecieAve;
	}
	

	public String getTempMinNas() {
		return tempminnas;
	}

	public void setTempMinNas(String tempminnas) {
		this.tempminnas = tempminnas;
	}

	public String getTempMaxInc() {
		return tempmaxinc;
	}

	public void setTempMaxInc(String tempmaxinc) {
		this.tempmaxinc = tempmaxinc;
	}

	public String getTempMinInc() {
		return tempmininc;
	}

	public void setTempMinInc(String tempmininc) {
		this.tempmininc = tempmininc;
	}

	public String getEspecie() {
		return especie;
	}

	public void setEspecie(String especie) {
		this.especie = especie;
	}

	public String getUmiMinInc() {
		return umimininc;
	}

	public void setUmiMinInc(String umimininc) {
		this.umimininc = umimininc;
	}

	public String getPerAviInc() {
		return peraviinc;
	}

	public void setPerAviInc(String peraviinc) {
		this.peraviinc = peraviinc;
	}

	public String getPerInc() {
		return perinc;
	}

	public void setPerInc(String perinc) {
		this.perinc = perinc;
	}

	public String getUmiMaxInc() {
		return umimaxinc;
	}

	public void setUmiMaxInc(String umimaxinc) {
		this.umimaxinc = umimaxinc;
	}

	public String getTempMaxNas() {
		return tempmaxnas;
	}

	public void setTempMaxNas(String tempmaxnas) {
		this.tempmaxnas = tempmaxnas;
	}

	public String getUmiMinNas() {
		return umiminnas;
	}

	public void setUmiMinNas(String umiminnas) {
		this.umiminnas = umiminnas;
	}
	
	public String getUmiMaxNas() {
		return umimaxnas;
	}

	public void setUmiMaxNas(String umimaxnas) {
		this.umimaxnas = umimaxnas;
	}
	
	public String getPerAviNas() {
		return peravinas;
	}

	public void setPerAviNas(String peravinas) {
		this.pernas = peravinas;
	}
	
	public String getPerRec() {
		return perrec;
	}

	public void setPerRec(String perrec) {
		this.pernas = perrec;
	}
	
	public String getPerNas() {
		return pernas;
	}

	public void setPerNas(String pernas) {
		this.pernas = pernas;
	}

	
	
	
	
}