 package broker;

import java.sql.*;
import java.util.*;
import classepersistente.*;

/*@autor Arthur Maaneiro Magyar, Fbio Glauco dos Santos, Luciano Padilha*/
public class BrokerIncubacao extends BrokerConexao
{
	
	private String projeto;
	private	String datini;
	private String bandeja;
	private String entidade;
	private Statement stmt;
	private String aux,aux1;
	private Vector consulta;
	private ResultSet rs;
	
	



	
    //mtodo para desmaterializar uma classe no banco
	
	
	
	
	
	
	public  void mudarIncubacao(String mat)
	{
		try
		{
			System.out.println("estou dentro do broker mat="+mat);
			Connection con = criaConexao();
			stmt=con.createStatement();
			aux="";
			aux="UPDATE Incubacao SET   codstatususu='"+2+"' where  matrusu='"+mat+"';"; 
			stmt.executeQuery(aux);
	        con.close();
	        stmt.close();
		}	
		catch(SQLException e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("SQL Exception no metodo desmaterializar  BrokerIncubacao Query->" + aux);
		}
		catch(Exception e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			
		}
	}
	
	public String desmaterializar(ArrayList incubacao,ArrayList posicoes)throws SQLException
	{
		try
		{
			
			int qtde,x;
			Incubacao auxInc=(Incubacao)incubacao.get(0);
			Connection con = criaConexao();
			stmt=con.createStatement();
			System.out.println("inserindo!");
		
			aux="INSERT INTO incubacao (codinc,codstatusin,codproj,datainiinc,dataprevinc,numovoinii,numovodesi,numovotransf,obsstatusinc) values (default,1,";
			aux+=auxInc.getProjeto();
			aux+=",CURRENT_TIMESTAMP";
			aux+=","+"CURRENT_TIMESTAMP +'"+auxInc.getData()+" 00:00:00','0','0','0','');";
			                                         
			qtde=posicoes.size();
			for(x=0;x<qtde;x++){
				    stmt=con.createStatement();
					Posicao posicao = (Posicao)posicoes.get(x);
					System.out.println("ent:"+posicao.getEntidade());
					System.out.println("x:"+posicao.getPosicaoX());
					System.out.println("y:"+posicao.getPosicaoY());
					System.out.println("z:"+posicao.getPosicaoZ());
					aux+="INSERT INTO inctement (codinc,codent,nlinban,ncolban,codposbanenc,codstatusgeral,codmotdes,ovotransf)values (";
					aux+="currval('incubacao_codinc'::text),";
					aux+=posicao.getEntidade();
					aux+=","+posicao.getPosicaoX();
					aux+=","+posicao.getPosicaoY();
					aux+=","+posicao.getPosicaoZ();
					aux+=",'1','1','0');";
					
					
					
			}
			System.out.println("aux"+aux);   
			stmt.execute(aux);
			stmt.close();
			
	        stmt=con.createStatement();
			aux="select codinc,dataprevinc from incubacao where codinc=(select MAX(codinc) as codinc from incubacao);"; 
			rs=stmt.executeQuery(aux);
			while(rs.next()){
				aux1=rs.getString("codinc");
				aux1+="|";
				aux1+=rs.getString("dataprevinc");
				}
			System.out.println("aux1"+aux1);
		}	
		catch(SQLException e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("SQL Exception no metodo desmaterializar  BrokerIncubacao Query->" + aux);
		}
		catch(Exception e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("saiu no metodo selectAllIncubacao  BrokerLogin"+aux);
		}		

		
		return aux1;
       
		}   
	
	
	
	
	
	
	
	public String desmaterializar(ArrayList posicoes)throws SQLException
	{
		try
		{
			int qtde,x;
			
			Connection con = criaConexao();
			qtde=posicoes.size();
			for(x=0;x<qtde;x++){
				    stmt=con.createStatement();
					Posicao posicao = (Posicao)posicoes.get(x);
					System.out.println("ent:"+posicao.getEntidade());
					System.out.println("x:"+posicao.getPosicaoX());
					System.out.println("y:"+posicao.getPosicaoY());
					System.out.println("z:"+posicao.getPosicaoZ());
					aux="INSERT INTO inctement (codinc,codent,nlinban,ncolban,codposbanenc,codstatusgeral,codmotdes,ovotransf)values (";
					aux+=posicao.getIncubacao()+",";
					aux+=posicao.getEntidade();
					aux+=","+posicao.getPosicaoX();
					aux+=","+posicao.getPosicaoY();
					aux+=","+posicao.getPosicaoZ();
					aux+=",'1','1','0');";
					   
					stmt.execute(aux);
					stmt.close();
					
			}
			
			
	        stmt=con.createStatement();
			aux="select codinc,dataprevinc from incubacao where codinc=(select MAX(codinc) as codinc from incubacao);"; 
			rs=stmt.executeQuery(aux);
			while(rs.next()){
				aux1=rs.getString("codinc");
				aux1+="|";
				aux1+=rs.getString("dataprevinc");
				}
		}	
		catch(SQLException e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("SQL Exception no metodo desmaterializar  BrokerIncubacao Query->" + aux);
		}
		catch(Exception e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("saiu no metodo selectAllIncubacao  BrokerLogin"+aux);
		}		

		
		return aux1;
       
		}   
//	metodo retorna conslta de Incubacaos   
	
public Vector retornaConsulta(String campo, String valor)					
{
	String x="";
	
	
	try
	{
		consulta = new Vector();
		con = criaConexao();
		stmt=con.createStatement();
		aux="select * from Incubacao where "+ campo+" like '%"+ valor+"%' order by "+campo; 
		rs = stmt.executeQuery(aux);
        while(rs.next())
        {
        	x = rs.getString("codusu");
        	x += " - ";
        	x += rs.getString("matrusu");
        	x += " : ";
        	x += rs.getString("nomeusu");
        	consulta.addElement(x);
        }
        rs.close();
		con.close();
        stmt.close();
	}	
	catch(SQLException e)
	{
		System.out.println (e.getMessage());
		e.printStackTrace();
		
	}
	catch(Exception e)
	{
		System.out.println (e.getMessage());
		e.printStackTrace();
		
	}		
	
	return consulta;
}

//metodo retorna consulta de Incubacaos-sobrecarga do anterior, pesquisa com 2 campos.
public Vector retornaConsulta(String campo, String valor,String campo2,String valor2)					
{
	String x="";
	
	
	try													//consulta no banco
	{
		consulta = new Vector();
		con = criaConexao();
		stmt=con.createStatement();
		aux="select * from Incubacao where "+ campo+" like '%"+ valor+"%'or "+campo2+" like '%"+valor2+"%' order by "+campo; 
		rs = stmt.executeQuery(aux);
        while(rs.next())
        {
        	x = rs.getString("codusu");
        	x += " - ";
        	x += rs.getString("matrusu");
        	x += " : ";
        	x += rs.getString("nomeusu");
        	consulta.addElement(x);
        }
        rs.close();
		con.close();
        stmt.close();
	}	
	catch(SQLException e)
	{
		System.out.println (e.getMessage());
		e.printStackTrace();
		
	}
	catch(Exception e)
	{
		System.out.println (e.getMessage());
		e.printStackTrace();
		
	}		
	
	return consulta;
}


public Vector retornaConsulta()					
{
	String x="";
	
	
	try
	{
		consulta = new Vector();
		con = criaConexao();
		stmt=con.createStatement();
		aux="select * from Incubacao"; 
		rs = stmt.executeQuery(aux);
        while(rs.next())
        {
        	x = rs.getString("codusu");
        	x += " - ";
        	x += rs.getString("matrusu");
        	x += " : ";
        	x += rs.getString("nomeusu");
        	consulta.addElement(x);
        }
        rs.close();
		con.close();
        stmt.close();
	}	
	catch(SQLException e)
	{
		System.out.println (e.getMessage());
		e.printStackTrace();
		
	}
	catch(Exception e)
	{
		System.out.println (e.getMessage());
		e.printStackTrace();
		
	}		
	
	return consulta;
}
// mtodo que constroi uma objeto Incubacao

public Incubacao materializar(String codigo)
{
	Incubacao  auxIncubacao= new Incubacao();
	
	try
	{
		con = criaConexao();
		stmt=con.createStatement();
		aux="select * from Incubacao where codusu="+ codigo; 
		rs = stmt.executeQuery(aux);
        while(rs.next())
        {
        	//auxIncubacao.setBandeja(rs.getString("nomeusu"));
        	auxIncubacao.setDatini(rs.getString("data"));
        	auxIncubacao.setProjeto(rs.getString("pro"));
        	//auxIncubacao.setEntidade(rs.getString("email"));
        	
        }
        rs.close();
		con.close();
        stmt.close();
	}	
	catch(SQLException e)
	{
		System.out.println (e.getMessage());
		e.printStackTrace();
		System.out.println("SQL Exception no metodo desmaterializar  BrokerIncubacao Query->" + aux);
	}
	catch(Exception e)
	{
		System.out.println (e.getMessage());
		e.printStackTrace();
		System.out.println("saiu no metodo selectAllIncubacao  BrokerLogin");
	}		
	
	return auxIncubacao;
}


public Vector setarBandeja(String bandeja){
   Vector bandejaCheia=new Vector();
   try
	{	String x="";
		con = criaConexao();
		stmt=con.createStatement();
		aux="select * from inctement where codposbanenc="+ bandeja+" and ovotransf <>'S'"; 
		rs = stmt.executeQuery(aux);
       while(rs.next())
       {
       	x=rs.getInt("codinc")+"";
       	x+="-";
       	x+=rs.getInt("nlinban")+"";
       	x+=":";
       	x+=rs.getInt("ncolban")+"";
       	
       	bandejaCheia.addElement(x);
       
       }
       rs.close();
	   con.close();
       stmt.close();
	}	
	catch(SQLException e)
	{
		System.out.println (e.getMessage());
		e.printStackTrace();
		System.out.println("SQL Exception no metodo desmaterializar  BrokerIncubacao Query->" + aux);
	}
	catch(Exception e)
	{
		System.out.println (e.getMessage());
		e.printStackTrace();
		System.out.println("saiu no metodo selectAllIncubacao  BrokerLogin");
	}
   
	
	return bandejaCheia;
}




public String getBandeja() {
	return bandeja;
}

public void setBandeja(String bandeja) {
	this.bandeja = bandeja;
}

public String getDatini() {
	return datini;
}

public void setDatini(String datini) {
	this.datini = datini;
}

public String getEntidade() {
	return entidade;
}

public void setEntidade(String entidade) {
	this.entidade = entidade;
}

public String getProjeto() {
	return projeto;
}

public void setProjeto(String projeto) {
	this.projeto = projeto;
}



}
