package broker;

import java.sql.*;
import java.util.*;
import classepersistente.*;

/*@autor Arthur Maaneiro Magyar, Fbio Glauco dos Santos, Luciano Padilha*/
public class BrokerNascimento extends BrokerConexao
{
	
	private Statement stmt;
	private String aux,aux1;
	private Vector consulta;
	private ResultSet rs;
	private String retorna;
	private int x,y;
	



	
    //mtodo para desmaterializar uma classe no banco
	
	
	//acertar o array list de nascimento eo de posicoes q sao do novo nascimento a ser feito de acordo com os dados da tela parecido com o processo de incubao
	public String transfere(String incubacao,String entidade,int qtde)throws SQLException
	{
		try
		{
				//select que retorna todas as posies com estas caracteristicas
				//(entidade e incubacao iguais aos parametros passados) 
				//e depois armazenado em um vetor que depois sera percorrido
				//alterando o estado para transferido 1 a 1 at o valor chegar 
				//no valor de  "qtde".
			int[][] posicao=new int[26][17];
			for( x=0;x<26;x++){
				for( y=0;y<17;y++){
					posicao[x][y]=0;
				}
			}
			
			Connection con = criaConexao();
			stmt=con.createStatement();
			aux="SELECT * FROM inctement WHERE (codinc="+incubacao+" and codent="+entidade+")and ovotransf=0";
			rs = stmt.executeQuery(aux);
			x=0;
	        while((rs.next())&& (x  < qtde))
	        {
	        	 posicao[rs.getInt("nlinban")][rs.getInt("ncolban")]=1;
	        	 System.out.println(rs.getInt("nlinban")+"-"+rs.getInt("ncolban"));
	        	 x++;
	        }
	        
	        stmt.close();
	        //marca transferido na tabela
			for(x=0;x<26;x++){
	        	for(y=0;y<17;y++){
	        		stmt=con.createStatement();
	        		if(posicao[x][y]==1){
	        			aux="UPDATE inctement SET OvoTransf='S' where (codinc="+incubacao+" and codent="+entidade+") and (nlinban="+x+" and ncolban="+y+")";
	        			System.out.println("comando Sql:"+aux);
	        			stmt.executeUpdate(aux);
	        	      }
	        		
        	        stmt.close();
	        	}
	        }	
			con.close();
	        
	        
			
		}	
		catch(SQLException e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("SQL Exception no metodo desmaterializar  BrokerNascimento Query->" + aux);
		}
		catch(Exception e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("saiu no metodo  ");
		}		

		retorna="efetuado";
		return retorna;
       
		}   
	
	
	
	/*public  void mudarIncubacao(String mat)
	{
		try
		{
			System.out.println("estou dentro do broker mat="+mat);
			Connection con = criaConexao();
			stmt=con.createStatement();
			aux="";
			aux="UPDATE Incubacao SET   codstatususu='"+2+"' where  matrusu='"+mat+"';"; 
			stmt.executeQuery(aux);
	        con.close();
	        stmt.close();
		}	
		catch(SQLException e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("SQL Exception no metodo desmaterializar  BrokerIncubacao Query->" + aux);
		}
		catch(Exception e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			
		}
	}
	*/
	public String desmaterializar(ArrayList nascimento,ArrayList posicoes,int qtde,String incubacao,String entidade)throws SQLException
	{
		try
		{	
			
			int y,x;
			
			transfere( incubacao, entidade, qtde);
			
			Nascimento auxNas=(Nascimento)nascimento.get(0);
			System.out.println("passei do nascimento");
			Connection con = criaConexao();
			stmt=con.createStatement();
			System.out.println("inserindo!");
		
			aux="INSERT INTO NASCIMENTO (codnas,codstatusin,codinc,datainiinas,dataprevnas,numovoinin,numovodesn,numovorec,obsstatusnas) values (default,1,";
			aux+=auxNas.getIncubacao();
			aux+=",CURRENT_TIMESTAMP";
			aux+=","+"CURRENT_TIMESTAMP +'"+auxNas.getData()+" 00:00:00','0','0','0','');";
			                                         
			y=posicoes.size();
			for(x=0;x<y;x++){
				    stmt=con.createStatement();
					Posicao posicao = (Posicao)posicoes.get(x);
					System.out.println("ent:"+posicao.getEntidade());
					System.out.println("x:"+posicao.getPosicaoX());
					System.out.println("y:"+posicao.getPosicaoY());
					System.out.println("z:"+posicao.getPosicaoZ());
					aux+="INSERT INTO nastement (codnas,codent,nlinban,ncolban,codposbannes,codstatusgeral,codmotdes,ovonasceu)values (";
					aux+="currval('nascimento_codnas'::text),";
					aux+=posicao.getEntidade();
					aux+=","+posicao.getPosicaoX();
					aux+=","+posicao.getPosicaoY();
					aux+=","+posicao.getPosicaoZ();
					aux+=",'1','1','0');";
					
					
					
			}
			System.out.println("sql"+aux);  
			stmt.execute(aux);
			stmt.close();
			
	        stmt=con.createStatement();
			aux="select codnas,dataprevnas from nascimento where codnas=(select MAX(codnas) as codnas from nascimento);"; 
			rs=stmt.executeQuery(aux);
			while(rs.next()){
				aux1=rs.getString("codnas");
				aux1+="|";
				aux1+=rs.getString("dataprevnas");
				}
			System.out.println("aux1"+aux1);
		}	
		catch(SQLException e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("SQL Exception no metodo desmaterializar  BrokerIncubacao Query->" + aux);
		}
		catch(Exception e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("saiu no metodo selectAllIncubacao  BrokerLogin"+aux);
		}		

		
		return aux1;
       
		}   
	
	
	
	
	
	
	
	public String desmaterializar(ArrayList posicoes,int qtde,String incubacao,String entidade)throws SQLException
	{
		try
		{
			transfere( incubacao, entidade, qtde);
			
			int y,x;
			
			Connection con = criaConexao();
			y=posicoes.size();
			aux="";
			for(x=0;x<y;x++){
				    stmt=con.createStatement();
					Posicao posicao = (Posicao)posicoes.get(x);
					System.out.println("ent:"+posicao.getEntidade());
					System.out.println("x:"+posicao.getPosicaoX());
					System.out.println("y:"+posicao.getPosicaoY());
					System.out.println("z:"+posicao.getPosicaoZ());
					aux+="INSERT INTO  nastement (codnas,codent,nlinban,ncolban,codposbannes,codstatusgeral,codmotdes,ovonasceu)values (";
					aux+=posicao.getNascimento()+",";
					aux+=posicao.getEntidade();
					aux+=","+posicao.getPosicaoX();
					aux+=","+posicao.getPosicaoY();
					aux+=","+posicao.getPosicaoZ();
					aux+=",'1','1','0');";
				
					
			}
			
			System.out.println("aux="+aux);
			stmt.execute(aux);
			stmt.close();
		
	        stmt=con.createStatement();
			aux="select codnas,dataprevnas from nascimento where codnas=(select MAX(codnas) as codnas from nascimento);"; 
			rs=stmt.executeQuery(aux);
			
			while(rs.next()){
				aux1=rs.getString("codnas");
				aux1+="|";
				aux1+=rs.getString("dataprevnas");
				
				}System.out.println("****************************************************retorna="+aux1);
		}	
		catch(SQLException e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("SQL Exception no metodo desmaterializar  BrokerIncubacao Query->" + aux);
		}
		catch(Exception e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("saiu no metodo selectAllNascimento  BrokerLogin"+aux);
		}		

		
		return aux1;
       
		}   
//	metodo retorna  
	
public Vector retornaConsulta(String campo, String valor)					
{
	String x="";
	
	
	try
	{
		consulta = new Vector();
		con = criaConexao();
		stmt=con.createStatement();
		aux="select * from Incubacao where "+ campo+" like '%"+ valor+"%' order by "+campo; 
		rs = stmt.executeQuery(aux);
        while(rs.next())
        {
        	x = rs.getString("codusu");
        	x += " - ";
        	x += rs.getString("matrusu");
        	x += " : ";
        	x += rs.getString("nomeusu");
        	consulta.addElement(x);
        }
        rs.close();
		con.close();
        stmt.close();
	}	
	catch(SQLException e)
	{
		System.out.println (e.getMessage());
		e.printStackTrace();
		
	}
	catch(Exception e)
	{
		System.out.println (e.getMessage());
		e.printStackTrace();
		
	}		
	
	return consulta;
}

//metodo retorna consulta de Incubacaos-sobrecarga do anterior, pesquisa com 2 campos.
public Vector retornaConsulta(String campo, String valor,String campo2,String valor2)					
{
	String x="";
	
	
	try													//consulta no banco
	{
		consulta = new Vector();
		con = criaConexao();
		stmt=con.createStatement();
		aux="select * from Incubacao where "+ campo+" like '%"+ valor+"%'or "+campo2+" like '%"+valor2+"%' order by "+campo; 
		rs = stmt.executeQuery(aux);
        while(rs.next())
        {
        	x = rs.getString("codusu");
        	x += " - ";
        	x += rs.getString("matrusu");
        	x += " : ";
        	x += rs.getString("nomeusu");
        	consulta.addElement(x);
        }
        rs.close();
		con.close();
        stmt.close();
	}	
	catch(SQLException e)
	{
		System.out.println (e.getMessage());
		e.printStackTrace();
		
	}
	catch(Exception e)
	{
		System.out.println (e.getMessage());
		e.printStackTrace();
		
	}		
	
	return consulta;
}


public Vector retornaConsulta()					
{
	String x="";
	
	
	try
	{
		consulta = new Vector();
		con = criaConexao();
		stmt=con.createStatement();
		aux="select * from Incubacao"; 
		rs = stmt.executeQuery(aux);
        while(rs.next())
        {
        	x = rs.getString("codusu");
        	x += " - ";
        	x += rs.getString("matrusu");
        	x += " : ";
        	x += rs.getString("nomeusu");
        	consulta.addElement(x);
        }
        rs.close();
		con.close();
        stmt.close();
	}	
	catch(SQLException e)
	{
		System.out.println (e.getMessage());
		e.printStackTrace();
		
	}
	catch(Exception e)
	{
		System.out.println (e.getMessage());
		e.printStackTrace();
		
	}		
	
	return consulta;
}
// mtodo que constroi uma objeto Incubacao

public Incubacao materializar(String codigo)
{
	Incubacao  auxIncubacao= new Incubacao();
	
	try
	{
		con = criaConexao();
		stmt=con.createStatement();
		aux="select * from Incubacao where codusu="+ codigo; 
		rs = stmt.executeQuery(aux);
        while(rs.next())
        {
        	//auxIncubacao.setBandeja(rs.getString("nomeusu"));
        	auxIncubacao.setDatini(rs.getString("data"));
        	auxIncubacao.setProjeto(rs.getString("pro"));
        	//auxIncubacao.setEntidade(rs.getString("email"));
        	
        }
        rs.close();
		con.close();
        stmt.close();
	}	
	catch(SQLException e)
	{
		System.out.println (e.getMessage());
		e.printStackTrace();
		System.out.println("SQL Exception no metodo desmaterializar  BrokerIncubacao Query->" + aux);
	}
	catch(Exception e)
	{
		System.out.println (e.getMessage());
		e.printStackTrace();
		System.out.println("saiu no metodo selectAllIncubacao  BrokerLogin");
	}		
	
	return auxIncubacao;
}


public Vector setarBandeja(String bandeja){
   Vector bandejaCheia=new Vector();
   try
	{	String x="";
		con = criaConexao();
		stmt=con.createStatement();
		aux="select * from nastement where codposbannes="+ bandeja+" and (ovonasceu <>'S' and ovonasceu <>'N')"; 
		rs = stmt.executeQuery(aux);
       while(rs.next())
       {
       	x=rs.getInt("codnas")+"";
       	x+="-";
       	x+=rs.getInt("nlinban")+"";
       	x+=":";
       	x+=rs.getInt("ncolban")+"";
       	
       	bandejaCheia.addElement(x);
       
       }
       rs.close();
	   con.close();
       stmt.close();
	}	
	catch(SQLException e)
	{
		System.out.println (e.getMessage());
		e.printStackTrace();
		System.out.println("SQL Exception no metodo desmaterializar  BrokerNascimento Query->" + aux);
	}
	catch(Exception e)
	{
		System.out.println (e.getMessage());
		e.printStackTrace();
		System.out.println("saiu no metodo selectAllIncubacao  BrokerLogin");
	}
   
	
	return bandejaCheia;
}




}
