package classepersistente;

import broker.BrokerEntidade;
import java.sql.*;

/**
 * 
 * @author      Arthur Maaneiro Magyar
 * @author      Fbio Glauco dos Santos
 * @author      Luciano Padilha
 * @version     1.0
 */
public class Entidade 
{
	// declarao de variveis
	private	String entidade;
	private String tipoEntidade;
	private String nome;
	private String descEnt;
	private String statusGeral;

	/**
	 * 
	 * @return 
	 */
	public String gravarEntidade()throws SQLException
	{
		BrokerEntidade auxBroker = new BrokerEntidade();
		auxBroker.setNome(nome);
		auxBroker.setEntidade(entidade);
		auxBroker.setTipoEntidade(tipoEntidade);
		auxBroker.setDescEnt(descEnt); 
		return auxBroker.desmaterializar();
	}
	
	/**
	 * 
	 * @param  sigla 
	 * @return 
	 */
	public String gravarEntidade(String sigla)throws SQLException
	{
		BrokerEntidade auxBroker = new BrokerEntidade();
		auxBroker.setEntidade(entidade);
		auxBroker.setTipoEntidade(tipoEntidade);
		auxBroker.setNome(nome);
		auxBroker.setDescEnt(descEnt); 
		auxBroker.setStatusGeral(statusGeral);
		return auxBroker.desmaterializar(sigla);
	}
	
	// beans - gets e sets
	public String getEntidade() {
		return entidade;
	}
	public void setEntidade(String entidade) {
		this.entidade = entidade;
	}
	public String getTipoEntidade() {
		return tipoEntidade;
	}
	public void setTipoEntidade(String tipoEntidade) {
		this.tipoEntidade = tipoEntidade;
	}
	public String getNome() {
		return nome;
	}
	public void setNome(String nome) {
		this.nome = nome;
	}
	public String getDescEnt() {
		return descEnt;
	}
	public void setDescEnt(String descEnt) {
		this.descEnt = descEnt;
	}
	public String getStatusGeral() {
		return statusGeral;
	}
	public void setStatusGeral(String statusGeral) {
		this.statusGeral = statusGeral;
	}
}
