package classepersistente;

import broker.BrokerEspecieAve;
import java.sql.*;

/*@autor Arthur Maaneiro Magyar, Fbio Glauco dos Santos, Luciano Padilha*/
public class EspecieAve 
{
	private String especie;
	private	String tempmininc;
	private String tempmaxinc;
	private String umimininc;
	private String umimaxinc;
	private	String perinc;
	private String peraviinc;
	private String tempminnas;
	private String tempmaxnas;
	private String umiminnas;
	private String umimaxnas;
	private String pernas;
	private String peravinas;
	private String perrec;
	
	
	
	
	public int gravarEspecieAve()throws SQLException
	{
		BrokerEspecieAve auxBroker = new BrokerEspecieAve();
		auxBroker.setEspecie(especie);
		auxBroker.setTempMinInc(tempmininc);
		auxBroker.setTempMaxInc(tempmaxinc);
		auxBroker.setUmiMinInc(umimininc);
		auxBroker.setUmiMaxInc(umimaxinc);
		auxBroker.setPerInc(perinc);
		auxBroker.setPerAviInc(peraviinc);
		auxBroker.setTempMinNas(tempminnas);
		auxBroker.setTempMaxNas(tempmaxnas);
		auxBroker.setUmiMinNas(umiminnas);
		auxBroker.setUmiMaxNas(umimaxnas);
		auxBroker.setPerNas(pernas);
		auxBroker.setPerAviNas(peravinas);
		auxBroker.setPerRec(perrec);
		return auxBroker.desmaterializar();
	}
	
	public int gravarEspecieAve(String esp)throws SQLException
	{
		BrokerEspecieAve auxBroker = new BrokerEspecieAve();
		auxBroker.setEspecie(especie);
		auxBroker.setTempMinInc(tempmininc);
		auxBroker.setTempMaxInc(tempmaxinc);
		auxBroker.setUmiMinInc(umimininc);
		auxBroker.setUmiMaxInc(umimaxinc);
		auxBroker.setPerInc(perinc);
		auxBroker.setPerAviInc(peraviinc);
		auxBroker.setTempMinNas(tempminnas);
		auxBroker.setTempMaxNas(tempmaxnas);
		auxBroker.setUmiMinNas(umiminnas);
		auxBroker.setUmiMaxNas(umimaxnas);
		auxBroker.setPerNas(pernas);
		auxBroker.setPerAviNas(peravinas);
		auxBroker.setPerRec(perrec);
		return auxBroker.desmaterializar(esp);
	}

	public EspecieAve materializar(String codigo)
	{
		BrokerEspecieAve  brok=new BrokerEspecieAve();	
		return brok.materializar(codigo);
	}

	public String getTempMinNas() {
		return tempminnas;
	}

	public void setTempMinNas(String tempminnas) {
		this.tempminnas = tempminnas;
	}

	public String getTempMaxInc() {
		return tempmaxinc;
	}

	public void setTempMaxInc(String tempmaxinc) {
		this.tempmaxinc = tempmaxinc;
	}

	public String getTempMinInc() {
		return tempmininc;
	}

	public void setTempMinInc(String tempmininc) {
		this.tempmininc = tempmininc;
	}

	public String getEspecie() {
		return especie;
	}

	public void setEspecie(String especie) {
		this.especie = especie;
	}

	public String getUmiMinInc() {
		return umimininc;
	}

	public void setUmiMinInc(String umimininc) {
		this.umimininc = umimininc;
	}

	public String getPerAviInc() {
		return peraviinc;
	}

	public void setPerAviInc(String peraviinc) {
		this.peraviinc = peraviinc;
	}

	public String getPerInc() {
		return perinc;
	}

	public void setPerInc(String perinc) {
		this.perinc = perinc;
	}

	public String getUmiMaxInc() {
		return umimaxinc;
	}

	public void setUmiMaxInc(String umimaxinc) {
		this.umimaxinc = umimaxinc;
	}

	public String getTempMaxNas() {
		return tempmaxnas;
	}

	public void setTempMaxNas(String tempmaxnas) {
		this.tempmaxnas = tempmaxnas;
	}

	public String getUmiMinNas() {
		return umiminnas;
	}

	public void setUmiMinNas(String umiminnas) {
		this.umiminnas = umiminnas;
	}
	
	public String getUmiMaxNas() {
		return umimaxnas;
	}

	public void setUmiMaxNas(String umimaxnas) {
		this.umimaxnas = umimaxnas;
	}
	
	public String getPerAviNas() {
		return peravinas;
	}

	public void setPerAviNas(String peravinas) {
		this.pernas = peravinas;
	}
	
	public String getPerRec() {
		return perrec;
	}

	public void setPerRec(String perrec) {
		this.pernas = perrec;
	}
	
	public String getPerNas() {
		return pernas;
	}

	public void setPerNas(String pernas) {
		this.pernas = pernas;
	}

	
	
	
	
}