package classepersistente;

import broker.BrokerProjeto;
import java.sql.*;

/**
 * 
 * @author      Arthur Maaneiro Magyar
 * @author      Fbio Glauco dos Santos
 * @author      Luciano Padilha
 * @version     1.0
 */
public class Projeto 
{
	// declarao de variveis
	private	String siglaProj;
	private String nome;
	private String entidade;
	private	String especie;
	private String dataInicio;
	private String dataPrev;
	private String dataFim;
	private String descricao;
	private	String status;
	
	/**
	 * 
	 * @return 
	 */
	public String gravarProjeto()throws SQLException
	{
		BrokerProjeto auxBroker = new BrokerProjeto();
		auxBroker.setSiglaProj(siglaProj);
		auxBroker.setNome(nome);
		auxBroker.setEntidade(entidade);
		auxBroker.setEspecie(especie);
		auxBroker.setDataInicio(dataInicio);
		auxBroker.setDataPrev(dataPrev);
		auxBroker.setDataFim(dataFim);
		auxBroker.setDescricao(descricao);
		return auxBroker.desmaterializar();
	}
	
	/**
	 * @param  sigla
	 * @return 
	 */
	public String gravarProjeto(String sigla)throws SQLException
	{
		BrokerProjeto auxBroker = new BrokerProjeto();
		auxBroker.setSiglaProj(siglaProj);
		auxBroker.setNome(nome);
		auxBroker.setEntidade(entidade);
		auxBroker.setEspecie(especie);
		auxBroker.setDataInicio(dataInicio);
		auxBroker.setDataPrev(dataPrev);
		auxBroker.setDataFim(dataFim);
		auxBroker.setDescricao(descricao);
		auxBroker.setStatus(status);
		return auxBroker.desmaterializar(sigla);
	}

	// beans - gets e sets
	public String getSiglaProj() {
		return siglaProj;
	}
	public void setSiglaProj(String siglaProj) {
		this.siglaProj = siglaProj;
	}
	public String getNome() {
		return nome;
	}
	public void setNome(String nome) {
		this.nome = nome;
	}
	public String getEntidade() {
		return entidade;
	}
	public void setEntidade(String entidade) {
		this.entidade = entidade;
	}
	public String getEspecie() {
		return especie;
	}
	public void setEspecie(String especie) {
		this.especie = especie;
	}
	public String getDataInicio() {
		return dataInicio;
	}
	public void setDataInicio(String dataInicio) {
		this.dataInicio = dataInicio;
	}
	public String getDataPrev() {
		return dataPrev;
	}
	public void setDataPrev(String dataPrev) {
		this.dataPrev = dataPrev;
	}
	public String getDataFim() {
		return dataFim;
	}
	public void setDataFim(String dataFim) {
		this.dataFim = dataFim;
	}
	public String getDescricao() {
		return descricao;
	}
	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
}