package classepersistente;

import broker.BrokerUsuario;
import java.sql.*;

/**
 * 
 * @author      Arthur Maaneiro Magyar
 * @author      Fbio Glauco dos Santos
 * @author      Luciano Padilha
 * @version     1.0
 */
public class Usuario 
{
	// declarao de variveis
	private	String matricula;
	private String nome;
	private String grupo;
	private String senha;
	private String telres;
	private	String telcom;
	private String telcel;
	private String email;
	private String status;
	// variveis para o broker
	private String data;
	private String desgrupo;
	
	/**
	 * 
	 * @return 
	 */
	public String gravarUsuario()throws SQLException
	{
		BrokerUsuario auxBroker = new BrokerUsuario();
		auxBroker.setMatricula(matricula);
		auxBroker.setNome(nome);
		auxBroker.setGrupo(grupo);
		auxBroker.setSenha(senha);
		auxBroker.setTelres(telres);
		auxBroker.setTelcom(telcom);
		auxBroker.setTelcel(telcel);
		auxBroker.setEmail(email);
		return auxBroker.desmaterializar();
	}
	
	/**
	 * 
	 * @param  mat 
	 * @return 
	 */
	public String gravarUsuario(String mat)throws SQLException
	{
		BrokerUsuario auxBroker = new BrokerUsuario();
		auxBroker.setMatricula(matricula);
		auxBroker.setNome(nome);
		auxBroker.setGrupo(grupo);
		auxBroker.setSenha(senha);
		auxBroker.setTelres(telres);
		auxBroker.setTelcom(telcom);
		auxBroker.setTelcel(telcel);
		auxBroker.setEmail(email);
		auxBroker.setStatus(status);
		return auxBroker.desmaterializar(mat);
	}

	// beans - gets e sets
	public String getMatricula() {
		return matricula;
	}
	public void setMatricula(String matricula) {
		this.matricula = matricula;
	}
	public String getNome() {
		return nome;
	}
	public void setNome(String nome) {
		this.nome = nome;
	}
	public String getGrupo() {
		return grupo;
	}
	public void setGrupo(String grupo) {
		this.grupo = grupo;
	}
	public String getSenha() {
		return senha;
	}
	public void setSenha(String senha) {
		this.senha = senha;
	}
	public String getTelres() {
		return telres;
	}
	public void setTelres(String telres) {
		this.telres = telres;
	}
	public String getTelcom() {
		return telcom;
	}
	public void setTelcom(String telcom) {
		this.telcom = telcom;
	}
	public String getTelcel() {
		return telcel;
	}
	public void setTelcel(String telcel) {
		this.telcel = telcel;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	// beans para o broker
	public void setUltLogon(String data) {
		this.data = data;
	}
	public String getUltLogon() {
		return data;
	}
	public void setDesGru(String desgrupo) {
		this.desgrupo = desgrupo;
	}
	public String getDesGru() {
		return desgrupo;
	}
}