package controladora;

import classepersistente.Entidade;
import broker.BrokerEntidade;
import java.sql.*;
import java.util.Vector;

/**
 * 
 * @author      Arthur Maaneiro Magyar
 * @author      Fbio Glauco dos Santos
 * @author      Luciano Padilha
 * @version     1.0
 */
public class ControladoraEntidade 
{
	// declarao de variveis
	private String entidade;
	private String tipoEntidade;
	private String nome;
	private String descEnt;
	private String statusGeral;

	/**
	 * 
	 * @return 
	 */
	public String gravarEntidade ()throws SQLException
	{
		Entidade auxEntidade = new Entidade();
		auxEntidade.setEntidade(entidade);
		auxEntidade.setTipoEntidade(tipoEntidade);
		auxEntidade.setNome(nome);
		auxEntidade.setDescEnt(descEnt);
		return auxEntidade.gravarEntidade();
	}
	
	/**
	 * 
	 * @param  sigla 
	 * @return 
	 */
	public String gravarEntidade (String sigla)throws SQLException
	{
		Entidade auxEntidade = new Entidade();
		auxEntidade.setEntidade(entidade);
		auxEntidade.setTipoEntidade(tipoEntidade);
		auxEntidade.setNome(nome);
		auxEntidade.setDescEnt(descEnt);
		auxEntidade.setStatusGeral(statusGeral);
		return auxEntidade.gravarEntidade(sigla);	
	}
	
	/**
	 * 
	 * @param  sigla 
	 * @return 
	 */
	public String mudarEntidade(String sigla)
	{
		BrokerEntidade brok = new BrokerEntidade();
		return brok.mudarEntidade(nome) ;	
	}
	
	/**
	 * Faz conexo com o broker no mtodo de consulta enviando data ou nenhum (d,n,a).
	 * @param  t     
	 * @param  valor 
	 * @return 
	 */
	public Vector retornaEntidade(String t,String tipo){
		BrokerEntidade brok = new BrokerEntidade();
		return  brok.retornaConsulta(t,tipo) ; 
	}

	/**
	 *
	 * @param  codigo 
	 * @return 
	 */
	public Entidade materializar(String codigo)
	{
		BrokerEntidade brok = new BrokerEntidade();	
		return brok.materializar(codigo);
	}

	// beans - gets e sets
	public String getEntidade() {
		return entidade;
	}
	public void setEntidade(String entidade) {
		this.entidade = entidade;
	}
	public String getTipoEntidade() {
		return tipoEntidade;
	}
	public void setTipoEntidade(String tipoEntidade) {
		this.tipoEntidade = tipoEntidade;
	}
	public String getNome() {
		return nome;
	}
	public void setNome(String nome) {
		this.nome = nome;
	}
	public String getDescEnt() {
		return descEnt;
	}
	public void setDescEnt(String descEnt) {
		this.descEnt = descEnt;
	}
	public String getStatusGeral() {
		return statusGeral;
	}
	public void setStatusGeral(String statusGeral) {
		this.statusGeral = statusGeral;
	}
}