package controladora;

import broker.*;
import classepersistente.*;
import java.sql.*;

/*@autor Arthur Maaneiro Magyar, Fbio Glauco dos Santos, Luciano Padilha*/
public class ControladoraEntidadeOvo 
{
	private String codigobarras;
	private	String celula;
	private String cor;
	private String formato;
	private String desinfeccao;
	private	String aquisicao;
	private String datacoleta;
	private String aspecto;
	private String peso;
	private String porosidade;
	private String incubavel;
	private String descricao;


	

	public int gravarEntidadeOvo ()throws SQLException
	{
		EntidadeOvo auxEntidadeOvo = new EntidadeOvo();
		auxEntidadeOvo.setCodigobarras(codigobarras);
		auxEntidadeOvo.setCelula(celula);
		auxEntidadeOvo.setCor(cor);
		auxEntidadeOvo.setFormato(formato);
		auxEntidadeOvo.setDesinfeccao(desinfeccao);
		auxEntidadeOvo.setAquisicao(aquisicao);
		auxEntidadeOvo.setDatacoleta(datacoleta);
		auxEntidadeOvo.setAspecto(aspecto);
		auxEntidadeOvo.setPeso(peso);
		auxEntidadeOvo.setPorosidade(porosidade);
		auxEntidadeOvo.setIncubavel(incubavel);
		auxEntidadeOvo.setDescricao(descricao);
		
		return auxEntidadeOvo.gravarEntidadeOvo();	
		
	}
	public int gravarEntidadeOvo (String codigo)throws SQLException
	{
		EntidadeOvo auxEntidadeOvo = new EntidadeOvo();
		auxEntidadeOvo.setCodigobarras(codigobarras);
		auxEntidadeOvo.setCelula(celula);
		auxEntidadeOvo.setCor(cor);
		auxEntidadeOvo.setFormato(formato);
		auxEntidadeOvo.setDesinfeccao(desinfeccao);
		auxEntidadeOvo.setAquisicao(aquisicao);
		auxEntidadeOvo.setDatacoleta(datacoleta);
		auxEntidadeOvo.setAspecto(aspecto);
		auxEntidadeOvo.setPeso(peso);
		auxEntidadeOvo.setPorosidade(porosidade);
		auxEntidadeOvo.setIncubavel(incubavel);
		auxEntidadeOvo.setDescricao(descricao);
		return auxEntidadeOvo.gravarEntidadeOvo(codigo);	
		
	}
	
	public EntidadeOvo materializar(String codigo)
	{
		BrokerEntidadeOvo  brok=new BrokerEntidadeOvo();	
		return brok.materializar(codigo);
	}

	public String getAspecto() {
		return aspecto;
	}

	public void setAspecto(String aspecto) {
		this.aspecto = aspecto;
	}

	public String getCor() {
		return cor;
	}

	public void setCor(String cor) {
		this.cor = cor;
	}

	public String getCelula() {
		return celula;
	}

	public void setCelula(String celula) {
		this.celula = celula;
	}

	public String getCodigobarras() {
		return codigobarras;
	}

	public void setCodigobarras(String codigobarras) {
		this.codigobarras = codigobarras;
	}

	public String getFormato() {
		return formato;
	}

	public void setFormato(String formato) {
		this.formato = formato;
	}

	public String getDatacoleta() {
		return datacoleta;
	}

	public void setDatacoleta(String datacoleta) {
		this.datacoleta = datacoleta;
	}

	public String getAquisicao() {
		return aquisicao;
	}

	public void setAquisicao(String aquisicao) {
		this.aquisicao = aquisicao;
	}

	public String getDesinfeccao() {
		return desinfeccao;
	}

	public void setDesinfeccao(String desinfeccao) {
		this.desinfeccao = desinfeccao;
	}

	public String getPeso() {
		return peso;
	}

	public void setPeso(String peso) {
		this.peso = peso;
	}

	public String getPorosidade() {
		return porosidade;
	}

	public void setPorosidade(String porosidade) {
		this.porosidade = porosidade;
	}
	
	public String getIncubavel() {
		return incubavel;
	}

	public void setIncubavel(String incubavel) {
		this.incubavel = incubavel;
	}
	
	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

	
	
	
	
}