package controladora;

import broker.*;
import classepersistente.*;
import java.sql.*;
import java.util.*;

/*@autor Arthur Maaneiro Magyar, Fbio Glauco dos Santos, Luciano Padilha*/
public class ControladoraIncubacao 
{
	private String projeto;
	private	String datini;
	private String bandeja;
	private String entidade;
	

	public String gravarIncubacao (ArrayList incubacao,ArrayList posicoes)throws SQLException
	{
		BrokerIncubacao auxBrokerIncubacao= new BrokerIncubacao();
		return auxBrokerIncubacao.desmaterializar(incubacao,posicoes);	
		
	}
	/*public int gravarIncubacao (String mat)throws SQLException
	{
		Incubacao auxIncubacao = new Incubacao();
		auxIncubacao.setBandeja(bandeja);
		auxIncubacao.setDatini(datini);
		auxIncubacao.setEntidade(entidade);
		auxIncubacao.setProjeto(projeto);
		return auxIncubacao.gravarIncubacao(mat);	
		
	}*/
	
	public  void mudarIncubacao(String mat)
	{
		BrokerIncubacao  brok=new BrokerIncubacao();
		  brok.mudarIncubacao(mat) ;
		
	}
	
	//faz conexo com o broker no mtodo de consulta de 1 campo
	public Vector  retornaIncubacao(String campo,String valor){
		BrokerIncubacao  brok=new BrokerIncubacao();
		return  brok.retornaConsulta(campo,valor) ; 
		
	}
	//faz conexo com o broker no mtodo de consulta de 2 campos
	public Vector  retornaIncubacao(String campo,String valor,String campo2,String valor2){
		BrokerIncubacao  brok=new BrokerIncubacao();
		return  brok.retornaConsulta(campo,valor,campo2,valor2) ; 
		
	}
//	faz conexo com o broker no mtodo de consulta de 2 campos
	public Vector  retornaIncubacao(){
		BrokerIncubacao  brok=new BrokerIncubacao();
		return  brok.retornaConsulta() ; 
		
	}
	
	public Vector setarBandeja(String bandeja){
		BrokerIncubacao  brok=new BrokerIncubacao();
		return  brok.setarBandeja(bandeja) ; 
		
	}
	
	public Incubacao materializar(String codigo)
	{
		BrokerIncubacao  brok=new BrokerIncubacao();	
		return brok.materializar(codigo);
	}
	
	public String gravarIncubacao (ArrayList posicoes)throws SQLException
	{
		BrokerIncubacao auxBrokerIncubacao= new BrokerIncubacao();
		return auxBrokerIncubacao.desmaterializar(posicoes);	
		
	}
	
	
	
	public String getBandeja() {
		return bandeja;
	}
	public void setBandeja(String bandeja) {
		this.bandeja = bandeja;
	}
	public String getDatini() {
		return datini;
	}
	public void setDatini(String datini) {
		this.datini = datini;
	}
	public String getEntidade() {
		return entidade;
	}
	public void setEntidade(String entidade) {
		this.entidade = entidade;
	}
	public String getProjeto() {
		return projeto;
	}
	public void setProjeto(String projeto) {
		this.projeto = projeto;
	}




	
	
}
