package javaUtil;

/**
 * Formata datas em transferncias de dados.
 * @author      Arthur Maaneiro Magyar
 * @author      Fbio Glauco dos Santos
 * @author      Luciano Padilha
 * @version     1.0
 */
public class TransferData {
	String newData,aux1,aux2;
	int index1,index2;
	
	/**
	 * Formata a data para ser aceito banco de dados.
	 * @param  data recebida do formulrio
	 * @return data formatada para gravar no banco de dados
	 */
	public String DataPGravar(String data){	
		if (data != ""){
			index1=data.indexOf("/");
			index2=data.lastIndexOf("/");
			String  parte1=data.substring(0,index1);
			String  parte2=data.substring(index1+1,index2);
			String  parte3=data.substring(index2+1);
			String	newData=parte3+"-"+parte2+"-"+parte1;
			return newData;	
		}
		else {
			return "9999-01-01";
		}
	}

	/**
	 * Formata a data do banco de dados para apresentao.
	 * @param  data recebida do banco de dados
	 * @return data formatada para apresentar na pgina
	 */
	public String DataPApresentar(String data){
		index1=data.indexOf(" ");
		data=data.substring(0,index1);
		index1=data.indexOf("-");
		index2=data.lastIndexOf("-");
		String  parte1=data.substring(0,index1);
		String  parte2=data.substring(index1+1,index2);
		String  parte3=data.substring(index2+1);
		String	newData=parte3+"/"+parte2+"/"+parte1;
		return newData;	
	}		
}