package servelet;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpSession;

import classepersistente.Entidade;
import java.util.*;
import controladora.ControladoraEntidade;

/**
 * Servlet Class
 *
 * @web.servlet              name="SISINC"
 *                           display-name="Sistema de Incubao Experimental"
 *                           description="Alterar Entidade"
 * @web.servlet-mapping      url-pattern="/EntidadeAltera"
 * @web.servlet-init-param   name=""
 *                           value=""
 */
/*@autor Arthur Maaneiro Magyar, Fbio Glauco dos Santos, Luciano Padilha*/

public class EntidadeAltera extends HttpServlet {
	// declarao do identificador universal da classe
	private static final long serialVersionUID = 42L;
	
	public void doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, java.io.IOException
	{
		doPost(request,response);
	}

	/* (non-Javadoc)
	 * @see javax.servlet.http.HttpServlet#doPost(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	 */
	public void doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
	throws javax.servlet.ServletException, java.io.IOException
	{
		Vector retorno=new Vector();
		try
		{
			// valida a sesso por grupo de usurio
			int perm = 2; // nvel de acesso
			HttpSession s = request.getSession(false);
			if(s==null){response.sendRedirect("Login");}
			else{classepersistente.Usuario auxUsuario=(classepersistente.Usuario) s.getAttribute("login");
			if((auxUsuario==null)||(auxUsuario.getMatricula()==null))
			{response.sendRedirect("Login");}
			else{if(!auxUsuario.getStatus().equals("1"))
			{request.getRequestDispatcher("scripts/status.jsp").forward(request,response);
			System.out.println("Acesso No Autorizado. Status no est Ativo.");}
			else{if(Integer.parseInt(auxUsuario.getGrupo())>perm)
			{request.setAttribute("retorno",Integer.toString(perm));
			request.getRequestDispatcher("scripts/perm.jsp").forward(request,response);
			System.out.println("Acesso No Autorizado. Necessrio ao menos Nvel "+perm+".");}
			else{
			
			ControladoraEntidade auxControladoraEntidade = new ControladoraEntidade();
			String acao = request.getParameter("acao");
					
			System.out.println("Ao ->" + acao);
		
			
			
			
		if (acao != null){	
			if(acao.equals("Consultar")){
				String nome =request.getParameter("nomeEnt");
				String tipo = request.getParameter("tipo");
				String t;		
				
				//"t"para o tipo da transao

			
				if ("".compareTo(nome)!=0){
					System.out.println("nome:"+nome);
					if("".compareTo(tipo)!=0){//pesquisa port nome e tipo
						t="d";
						String valor=nome+" - "+tipo;
						System.out.println("valor:"+valor);
						retorno=auxControladoraEntidade.retornaEntidade(t,valor);
						
						request.setAttribute("tabela",retorno);
						request.getRequestDispatcher("jsp/entidadeconsulta.jsp").forward(request,response);
					}
					else{//pesquisa por nome 
						t="n";
						retorno=auxControladoraEntidade.retornaEntidade(t,nome);

						request.setAttribute("tabela",retorno);
						request.getRequestDispatcher("jsp/entidadeconsulta.jsp").forward(request,response);
					}
					
					}
					else{
					
					if ("".compareTo(tipo)!=0){//pesquisa por tipo
						t="t";
						retorno=auxControladoraEntidade.retornaEntidade(t,tipo);	
						
						request.setAttribute("tabela",retorno);
						request.getRequestDispatcher("jsp/entidadeconsulta.jsp").forward(request,response);
					}
					else{ //retorna tabela com todos os entidades
						t="a";
						nome="";
						retorno=auxControladoraEntidade.retornaEntidade(t,nome);
						request.setAttribute("tabela",retorno);
						request.getRequestDispatcher("jsp/entidadeconsulta.jsp").forward(request,response);
						
						}
					}
			
				
					
				}else{//fecha o consultar 
			
					if(acao.equals("carregar")){
							
							String codigo = request.getParameter("codigo");
							Entidade auxEntidade = auxControladoraEntidade.materializar(codigo);
							request.setAttribute("dados",auxEntidade);
							request.getRequestDispatcher("jsp/entidadecarregado.jsp").forward(request,response);
							
						}else{
						if(acao.equals("alterar")){
										
							
							
						}else{
						    	if(acao.equals("excluir")){
										String sigla= request.getParameter("siglaProj");
										
										try
										{							
											auxControladoraEntidade.mudarEntidade(sigla);//passa para a controladora  o mtodo de mudar estado de usurio. 
												
										}
										catch(Exception e){
											System.out.println("nao esta excluindo!!");
											
										}
										//uma tela de aviso de excluso					
						    	}
						}
												 
					}	
			}
			
			//}//fecha o no consultar
		//}//fecha o acao q nao  nulo	
	
		}else
		{
			
			request.setAttribute("tabela",retorno);
			request.getRequestDispatcher("jsp/entidadealterar.jsp").forward(request,response);
		}

		
			
		}}}}}
		catch(ServletException e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
		}
	
			
			
			
	}

}
