package servelet;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpSession;
import javax.servlet.ServletException;
import java.sql.*;
import controladora.ControladoraEntidadeOvo;

/**
 * Servlet Class
 *
 * @web.servlet              name="SISINC"
 *                           display-name="Sistema de Incubao Experimental"
 *                           description="Cadastrar Usurio"
 * @web.servlet-mapping      url-pattern="/EntidadeOvo"
 * @web.servlet-init-param   name=""
 *                           value=""
 */
/*@autor Arthur Maaneiro Magyar, Fbio Glauco dos Santos, Luciano Padilha*/

public class EntidadeOvo extends HttpServlet {
	// declarao do identificador universal da classe
	private static final long serialVersionUID = 19L;
	
	public void doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, java.io.IOException
	{
		doPost(request,response);
	}

	public void doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
	throws javax.servlet.ServletException, java.io.IOException
	{
		try
		{
			// valida a sesso por grupo de usurio
			int perm = 2; // nvel de acesso
			HttpSession s = request.getSession(false);
			if(s==null){response.sendRedirect("Login");}
			else{classepersistente.Usuario auxUsuario=(classepersistente.Usuario) s.getAttribute("login");
			if((auxUsuario==null)||(auxUsuario.getMatricula()==null))
			{response.sendRedirect("Login");}
			else{if(!auxUsuario.getStatus().equals("1"))
			{request.getRequestDispatcher("scripts/status.jsp").forward(request,response);
			System.out.println("Acesso No Autorizado. Status no est Ativo.");}
			else{if(Integer.parseInt(auxUsuario.getGrupo())>perm)
			{request.setAttribute("retorno",Integer.toString(perm));
			request.getRequestDispatcher("scripts/perm.jsp").forward(request,response);
			System.out.println("Acesso No Autorizado. Necessrio ao menos Nvel "+perm+".");}
			else{
			
			ControladoraEntidadeOvo auxControladoraEntidadeOvo = new ControladoraEntidadeOvo();
			String acao = request.getParameter("Acao");
			String codbarras = request.getParameter("CodBarras");
			
			System.out.println("Ao ->" + acao);
			System.out.println("Cdigo ->" + codbarras);
			
			
			
		if (acao != null)
		{	
			
			
			//pegando as variaveis da pagina
			String codigobarras=request.getParameter("CodBarras");
			String celula=request.getParameter("CodCel");
			String cor=request.getParameter("CodCorOvo");
			String formato=request.getParameter("CodForOvo");
			String desinfeccao=request.getParameter("CodDesOvo");
			String aquisicao=request.getParameter("AquisOvo");
		    String datacoleta=request.getParameter("DataColOvo");
		    String aspecto=request.getParameter("AspOvo");
		    String peso=request.getParameter("PesoOvo");
		    String porosidade=request.getParameter("PorOvo");
		    String incubavel=request.getParameter("Incubavel");
		    String descricao=request.getParameter("DescEnt");
		    
		    
			//acerto de nulos
			if (peso.equals("")){peso="NULL";}
			if (porosidade.equals("")){porosidade="NULL";}

			
		    //setando as variaveis na controladora
			auxControladoraEntidadeOvo.setCodigobarras(codigobarras);
			auxControladoraEntidadeOvo.setCelula(celula);
			auxControladoraEntidadeOvo.setCor(cor);
			auxControladoraEntidadeOvo.setFormato(formato);
			auxControladoraEntidadeOvo.setDesinfeccao(desinfeccao);
			auxControladoraEntidadeOvo.setAquisicao(aquisicao);
			auxControladoraEntidadeOvo.setDatacoleta(datacoleta);
			auxControladoraEntidadeOvo.setAspecto(aspecto);
			auxControladoraEntidadeOvo.setPeso(peso);
			auxControladoraEntidadeOvo.setPorosidade(porosidade);
			auxControladoraEntidadeOvo.setIncubavel(incubavel);
			auxControladoraEntidadeOvo.setDescricao(descricao);
			

			try
			{
				auxControladoraEntidadeOvo.gravarEntidadeOvo();//passa para a controladora o mtodo de gravar com parametro da entidade. 
				request.getRequestDispatcher("scripts/sucesso.jsp").forward(request,response);
			}
			catch(SQLException e){
				System.out.println("nao esta cadastrando!!");
			}

		}
		else
		{
			request.getRequestDispatcher("jsp/cadastro/ovocad.jsp").forward(request,response);
		}

		
			
		}}}}}
			catch(ServletException e)
		{
			System.out.println("Saiu da Classe ");
			System.out.println (e.getMessage());
			e.printStackTrace();
		}
	
			
			
			
	}
	
	
	
}