package servelet;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpSession;
import javax.servlet.ServletException;
import java.sql.*;
import controladora.*;
import classepersistente.*;
import java.util.*;

/**
 * Servlet Class
 *
 * @web.servlet              name="SISINC"
 *                           display-name="Sistema de Incubao Experimental"
 *                           description="Cadastrar Incubao"
 * @web.servlet-mapping      url-pattern="/Incubacao"
 * @web.servlet-init-param   name=""
 *                           value=""
 */
/*@autor  Luciano Padilha*/

public class Incubacao extends HttpServlet {
	// declarao do identificador universal da classe
	private static final long serialVersionUID = 15L;
	
	public void doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, java.io.IOException
	{
		doPost(request,response);
	}

	public void doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
	throws javax.servlet.ServletException, java.io.IOException
	{
		
		try
		{
			// valida a sesso por grupo de usurio
			int perm = 2; // nvel de acesso
			HttpSession s = request.getSession(false);
			if(s==null){response.sendRedirect("Login");}
			else{classepersistente.Usuario auxUsuario=(classepersistente.Usuario) s.getAttribute("login");
			if((auxUsuario==null)||(auxUsuario.getMatricula()==null))
			{response.sendRedirect("Login");}
			else{if(!auxUsuario.getStatus().equals("1"))
			{request.getRequestDispatcher("scripts/status.jsp").forward(request,response);
			System.out.println("Acesso No Autorizado. Status no est Ativo.");}
			else{if(Integer.parseInt(auxUsuario.getGrupo())>perm)
			{request.setAttribute("retorno",Integer.toString(perm));
			request.getRequestDispatcher("scripts/perm.jsp").forward(request,response);
			System.out.println("Acesso No Autorizado. Necessrio ao menos Nvel "+perm+".");}
			else{
			
			ControladoraIncubacao auxContIncuba= new ControladoraIncubacao();
			ControladoraConsulta auxCons= new ControladoraConsulta();
			
			String acao = request.getParameter("acao");
			System.out.println("Ao ->" + acao);
			
			
			
			
		if (acao != null)
		{	
			String tam=null;
			
			//pega as variaveis da pagina//
		String projeto=request.getParameter("CodProj");
		String entidadeMin=request.getParameter("CodTipoEnt");
		String bandeja=request.getParameter("CodBan");
		String entidade=request.getParameter("CodEnt");
		String dataInicio=request.getParameter("DataIniInc");
		String dataPrev=request.getParameter("DataPrevInc");
		String incubadora=request.getParameter("CodEnc");
		String codIncubacao=request.getParameter("CodInc");
		String codPos=request.getParameter("CodEncBan");
		String data=request.getParameter("Data");	
			
			
			System.out.println("***esta em incubao os dados da tela so em cima****");
			System.out.println("projeto:"+projeto);
			System.out.println("entmin:"+entidadeMin);
			System.out.println("bandeja:"+bandeja);
			System.out.println("entidade:"+entidade);
			System.out.println("data inicio:"+dataInicio);
			System.out.println("incubadora:"+incubadora);
			System.out.println("incubacao:"+codIncubacao);
			System.out.println("*codPos:"+codPos);
			
			
//			recolocar valores da bandeja.
			
			String incb=auxCons.retornaPosBan(bandeja);
			int ind1=incb.indexOf("-");
			int ind2=incb.indexOf(":");
			incubadora=incb.substring(0,ind1-1);
			codPos=incb.substring(ind1+2,ind2-1);
			
			
			
			
			System.out.println("servelet-incubao--codinc:"+codIncubacao);
			
			
			
				
				
				//buscando uma bandeja//
				if (acao.equals("Buscar Bandeja")){
					ControladoraConsulta cont = new ControladoraConsulta(); 
					tam=cont.retornaTamBan(bandeja);
												    
				}else{
								
					
				   //incubando ovos de uma entidade//
					//incubando posies.
				   if(acao.equals("Incubar")){ 
					
					classepersistente.Incubacao auxIncubacao=new classepersistente.Incubacao();
					
					int x,y,lin,col,index;
				    String pos;
				    ArrayList incubacao=new ArrayList();
				    ArrayList posicoes=new ArrayList();
				   	String cordenada=request.getParameter("cordenada");
				   
				   	index=cordenada.indexOf("-");
					lin=Integer.parseInt(cordenada.substring(0,index));
					col=Integer.parseInt(cordenada.substring(index+1));
					if(codIncubacao.equals("")){
						
						//se o codigo da incubao na pagina for branco eu 
						//gravo com uma mtodo que grava incubao
						
						for(x=0;x<lin;x++){
							for(y=0;y<col;y++){
								
								pos=x+"-"+y;
								String caixa=request.getParameter(pos);
								if(caixa!=null){
									    int z=Integer.parseInt(request.getParameter("CodEncBan"));
										Posicao posicao=new Posicao();
										posicao.setEntidade(entidade);
										
										posicao.setPosicaoX(x);
										posicao.setPosicaoY(y);
										posicao.setPosicaoZ(z);
										auxIncubacao.setProjeto(projeto);
										auxIncubacao.setDatini(dataInicio);
										auxIncubacao.setData(data);
										System.out.println(" no servelet:  posbanenc"+codPos+"  ent:"+entidade+" caixa:"+caixa+" proj:"+projeto+"datIni"+dataInicio+"pos:"+pos+"z"+z);
									
										posicoes.add(posicao);
										incubacao.add(auxIncubacao);
										}
									}
							}	 
						
//deve retornar incubacao
						try{
								tam=lin+"-"+col;
								int index1;
								
								//passa para o mtodo os objetos "incubacao" e "posicoes" para gravar nas duas tabelas "incubacao" e "inctempos" 
								
								String inc=auxContIncuba.gravarIncubacao(incubacao,posicoes);
								System.out.println("inc:"+inc);
								index1=inc.indexOf("|");
								codIncubacao=inc.substring(0,index1);
								data=inc.substring(index+2);
								System.out.println("inc:"+inc+"codinc:"+codIncubacao+"data"+data);
								dataPrev=data;
						}
						catch(SQLException e){
								System.out.println(e);
							
						}
							
						
						
						
					}else{	
						
//	incubacao nao nula
						
						for(x=0;x<lin;x++){
							for(y=0;y<col;y++){
								
								pos=x+"-"+y;
								String caixa=request.getParameter(pos);
								if(caixa!=null){
									    int z=Integer.parseInt(request.getParameter("CodEncBan"));
										Posicao posicao=new Posicao();
										posicao.setEntidade(entidade);
										posicao.setPosicaoX(x);
										posicao.setPosicaoY(y);
										posicao.setPosicaoZ(z);
										posicao.setIncubacao(codIncubacao);
										auxIncubacao.setProjeto(projeto);
										auxIncubacao.setDatini(dataInicio);
										auxIncubacao.setData(data);
										System.out.println(" ent:"+entidade+" caixa:"+caixa+" proj:"+projeto+"datIni"+dataInicio+"pos:"+pos);
									
										posicoes.add(posicao);
										
										}
									}
								}	 
//deve retornar incubacao						
						try{
							
							tam=lin+"-"+col;	
								
							String inc=auxContIncuba.gravarIncubacao(posicoes);
							System.out.println("inc:"+inc);
							int index2=inc.indexOf("|");
							codIncubacao=inc.substring(0,index2);
							data=inc.substring(index+2);
							System.out.println("inc:"+inc+"codinc:"+codIncubacao+"data"+data);
							dataPrev=data;
							}
							catch(SQLException e){
								System.out.println(e);
								
							}
						
												
							
						
					  
				   }
				}
			}
			Vector bandejaCheia=new Vector(); 
//setar as vriaveis para devolver a pgina
			request.setAttribute("CodProj",projeto);
			request.setAttribute("CodBan",bandeja);
			request.setAttribute("CodEnt",entidade);
			request.setAttribute("CodTipoEnt",entidadeMin);
			request.setAttribute("DataPrevInc",dataPrev);
			request.setAttribute("CodEnc",incubadora);
			request.setAttribute("CodInc",codIncubacao);
			request.setAttribute("incubacao",codIncubacao);
			request.setAttribute("tam",tam);
			request.setAttribute("CodEncBan",codPos);
			//request.setAttribute("DataPrevInc",data);
			
			bandejaCheia=auxContIncuba.setarBandeja(codPos);
			request.setAttribute("bc",bandejaCheia);
			
			
			System.out.println("***esta em incubao os dados da tela so-- em baixo****");
			System.out.println("projeto:"+projeto);
			System.out.println("entmin:"+entidadeMin);
			System.out.println("bandeja:"+bandeja);
			System.out.println("entidade:"+entidade);
			System.out.println("data inicio:"+dataInicio);
			System.out.println("data prev:"+dataPrev);
			System.out.println("incubadora:"+incubadora);
			System.out.println("incubacao:"+codIncubacao);
			System.out.println("*codPos:"+codPos);
			
			
			
			
			
			
			request.getRequestDispatcher("jsp/incubacao/inccad.jsp").forward(request,response);
			
		
			
		}else{
			
				request.getRequestDispatcher("jsp/incubacao/inccad.jsp").forward(request,response);
		}

		
			
		}}}}}
			catch(ServletException e)
		{
			System.out.println("Saiu da Classe ");
			System.out.println (e.getMessage());
			e.printStackTrace();
		}
	
			
			
			
	}
	
	
	
}
