package servelet;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpSession;
import javax.servlet.ServletException;
import java.sql.*;
import controladora.*;

/**
 * Servlet Class
 *
 * @web.servlet              name="SISINC"
 *                           display-name="Sistema de Incubao Experimental"
 *                           description="Cadastrar Bandeja em Incubadora"
 * @web.servlet-mapping      url-pattern="/IncubadoraBandeja"
 * @web.servlet-init-param   name=""
 *                           value=""
 */
/*@autor Arthur Maaneiro Magyar, Fbio Glauco dos Santos, Luciano Padilha*/

public class IncubadoraBandeja extends HttpServlet {
	// declarao do identificador universal da classe
	private static final long serialVersionUID = 13L;
	
	public void doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, java.io.IOException
	{
		doPost(request,response);
	}

	public void doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
	throws javax.servlet.ServletException, java.io.IOException
	{
		try
		{
			// valida a sesso por grupo de usurio
			int perm = 2; // nvel de acesso
			HttpSession s = request.getSession(false);
			if(s==null){response.sendRedirect("Login");}
			else{classepersistente.Usuario auxUsuario=(classepersistente.Usuario) s.getAttribute("login");
			if((auxUsuario==null)||(auxUsuario.getMatricula()==null))
			{response.sendRedirect("Login");}
			else{if(!auxUsuario.getStatus().equals("1"))
			{request.getRequestDispatcher("scripts/status.jsp").forward(request,response);
			System.out.println("Acesso No Autorizado. Status no est Ativo.");}
			else{if(Integer.parseInt(auxUsuario.getGrupo())>perm)
			{request.setAttribute("retorno",Integer.toString(perm));
			request.getRequestDispatcher("scripts/perm.jsp").forward(request,response);
			System.out.println("Acesso No Autorizado. Necessrio ao menos Nvel "+perm+".");}
			else{
			
			ControladoraIncubadoraBandeja auxControladoraIncubadoraBandeja = new ControladoraIncubadoraBandeja();
			String acao = request.getParameter("AcaoA");
			System.out.println("Ao ->" + acao);
	    
		if (acao != null)
		{	
			
			if(acao.equals("Alocar")){
						
			//pegando as variaveis da pagina
			//para  gravar um registro
			String incubadora=request.getParameter("incubadora");
			String nascedouro=request.getParameter("nascedouro");
			String posnas=request.getParameter("posnas");
			String posinc=request.getParameter("posinc");
			String bandeja=request.getParameter("Bandes");
			
			classepersistente.IncubadoraBandeja incubadorabandeja=new classepersistente.IncubadoraBandeja();
			try{
				
					
					if(nascedouro!=null){
					    incubadorabandeja.setNascedouro(nascedouro);
					    incubadorabandeja.setPosnas(posnas);
					    incubadorabandeja.setBandeja(bandeja);
					    auxControladoraIncubadoraBandeja.materializarN(incubadorabandeja);
					}else{
						if (incubadora!=null){
							incubadorabandeja.setIncubadora(incubadora);
						    incubadorabandeja.setPosinc(posinc);
						    incubadorabandeja.setBandeja(bandeja);
						    auxControladoraIncubadoraBandeja.materializar(incubadorabandeja);
						}
					}
					request.getRequestDispatcher("jsp/incubacao/incban.jsp").forward(request,response);
				    
			}catch(SQLException e){
				System.out.println(e);
			}
		
			}

		}
		else
		{		//retorna valores para a pagina
				request.getRequestDispatcher("jsp/incubacao/incban.jsp").forward(request,response);
		}

		
		
		}}}}}
			catch(ServletException e)
		{
			System.out.println("Saiu da Classe ");
			System.out.println (e.getMessage());
			e.printStackTrace();
		}
	}
}