CREATE OR REPLACE FUNCTION "public"."fatualizaincubacaonumovotransf" () RETURNS trigger AS
$body$
BEGIN
if (TG_OP = 'INSERT') then
    IF new.codstatusgeral = 1 then
         update incubacao SET numovotransf = numovotransf + 1 where incubacao.codinc = (select codinc from nascimento where new.codnas = nascimento.codnas);
         update nascimento SET numovoinin = numovoinin + 1 where nascimento.codnas = new.codnas;
    END IF;
elsif (TG_OP = 'UPDATE') then
    if new.codstatusgeral = 1 and old.codstatusgeral <> 1 then
         update incubacao SET numovotransf = numovotransf + 1 where incubacao.codinc = (select codinc from nascimento where new.codnas = nascimento.codnas);
         update nascimento SET numovoinin = numovoinin + 1 where nascimento.codnas = new.codnas;
    elsif new.codstatusgeral <> 1 and old.codstatusgeral = 1 then
         update incubacao SET numovotransf = numovotransf - 1 where incubacao.codinc = (select codinc from nascimento where new.codnas = nascimento.codnas);
         update nascimento SET numovoinin = numovoinin - 1 where nascimento.codnas = new.codnas;
    end if;
    if new.codstatusgeral = 1 and new.codmotdes <> 1 and old.codmotdes = 1 then
         update nascimento set numovodesn = numovodesn + 1 where nascimento.codnas = new.codnas;
    elsif new.codstatusgeral = 1 and new.codmotdes = 1 and old.codmotdes <> 1 then
         update nascimento set numovodesn = numovodesn - 1 where nascimento.codnas = new.codnas;
    end if;
end if;
Return new;
END;
$body$
LANGUAGE 'plpgsql' VOLATILE CALLED ON NULL INPUT SECURITY INVOKER;