CREATE OR REPLACE VIEW "public"."vEntidadeCelula" (
  codent,
  nomeent,
  descent,
  codstatusgeral,
  nomestatusgeral,
  codtipoent,
  nometipoent,
  tipoentmin,
  codgai)
AS
SELECT 
  entidade.codent,
  entidade.nomeent,
  entidade.descent,
  statusgeral.codstatusgeral,
  statusgeral.nomestatusgeral,
  tipoentidade.codtipoent,
  tipoentidade.nometipoent,
  tipoentidade.tipoentmin,
  celula.codgai
FROM
 public.entidade
 INNER JOIN public.statusgeral ON (public.entidade.codstatusgeral=public.statusgeral.codstatusgeral)
 INNER JOIN public.celula ON (public.entidade.codent=public.celula.codcel)
 INNER JOIN public.tipoentidade ON (public.entidade.codtipoent=public.tipoentidade.codtipoent)
WHERE
  (public.entidade.codent = public.celula.codcel) AND 
  (public.entidade.codstatusgeral = public.statusgeral.codstatusgeral) AND 
  (public.entidade.codtipoent = public.tipoentidade.codtipoent) AND 
  (public.entidade.codtipoent = 2)
-- 
-- 
-- ***
-- 
-- Consulta que relaciona a view EntidadeCelula  tabela Gaiola (permitindo associao de clulas s respectivas gaiolas)
-- 
-- SELECT 
--   public."vEntidadeCelula".codent as codentcel,
--   public."vEntidadeCelula".nomeent as nomeentcel,
--   public."vEntidadeCelula".descent as descentcel,
--   public.entidade.nomeent as nomeentgai,
--   public.entidade.descent as descentgai
-- FROM
--  public."vEntidadeCelula"
--  INNER JOIN public.entidade ON (public."vEntidadeCelula".codgai=public.entidade.codent)
