CREATE OR REPLACE VIEW "public"."vEntidadeSala" (
  codent,
  nomeent,
  descent,
  codstatusgeral,
  nomestatusgeral,
  codtipoent,
  nometipoent,
  tipoentmin,
  codand)
AS
SELECT 
  entidade.codent,
  entidade.nomeent,
  entidade.descent,
  statusgeral.codstatusgeral,
  statusgeral.nomestatusgeral,
  tipoentidade.codtipoent,
  tipoentidade.nometipoent,
  tipoentidade.tipoentmin,
  sala.codand
FROM
 public.entidade
 INNER JOIN public.statusgeral ON (public.entidade.codstatusgeral=public.statusgeral.codstatusgeral)
 INNER JOIN public.tipoentidade ON (public.entidade.codtipoent=public.tipoentidade.codtipoent)
 INNER JOIN public.sala ON (public.entidade.codent=public.sala.codsala)
WHERE
  (public.entidade.codent = public.sala.codsala) AND 
  (public.entidade.codstatusgeral = public.statusgeral.codstatusgeral) AND 
  (public.entidade.codtipoent = public.tipoentidade.codtipoent) AND 
  (public.entidade.codtipoent = 6)
-- 
-- 
-- 
-- ***
-- 
-- Consulta que relaciona a view EntidadeSala  tabela Andar (permitindo associao de salas aos respectivos andares)
-- 
-- 
-- SELECT 
--   public."vEntidadeSala".codent as codentsala,
--   public."vEntidadeSala".nomeent as nomeentsala,
--   public."vEntidadeSala".descent as descentsala,
--   public.entidade.nomeent as nomeentand,
--   public.entidade.descent as descentand
-- FROM
--  public."vEntidadeSala"
--  INNER JOIN public.entidade ON (public."vEntidadeSala".codand=public.entidade.codent)
