CREATE OR REPLACE VIEW "public"."vEntidadeAndar" (
  codent,
  nomeent,
  descent,
  codstatusgeral,
  nomestatusgeral,
  codtipoent,
  nometipoent,
  tipoentmin,
  codpre)
AS
SELECT 
  entidade.codent,
  entidade.nomeent,
  entidade.descent,
  statusgeral.codstatusgeral,
  statusgeral.nomestatusgeral,
  tipoentidade.codtipoent,
  tipoentidade.nometipoent,
  tipoentidade.tipoentmin,
  andar.codpre
FROM
 public.entidade
 INNER JOIN public.statusgeral ON (public.entidade.codstatusgeral=public.statusgeral.codstatusgeral)
 INNER JOIN public.tipoentidade ON (public.entidade.codtipoent=public.tipoentidade.codtipoent)
 INNER JOIN public.andar ON (public.entidade.codent=public.andar.codand)
WHERE
  (public.entidade.codent = public.andar.codand) AND 
  (public.entidade.codstatusgeral = public.statusgeral.codstatusgeral) AND 
  (public.entidade.codtipoent = public.tipoentidade.codtipoent) AND 
  (public.entidade.codtipoent = 7)
-- 
-- 
-- 
-- ***
-- 
-- Consulta que relaciona a view EntidadeAndar  tabela Predio (permitindo associao de andares aos respectivos predios)
-- 
-- 
-- SELECT 
--   public."vEntidadeAndar".codent as codentand,
--   public."vEntidadeAndar".nomeent as nomeentand,
--   public."vEntidadeAndar".descent as descentand,
--   public.entidade.nomeent as nomeentpre,
--   public.entidade.descent as descentpre
-- FROM
--  public."vEntidadeAndar"
--  INNER JOIN public.entidade ON (public."vEntidadeAndar".codpre=public.entidade.codent)
