CREATE OR REPLACE VIEW "public"."vProjetoIncubacao" (
  codproj,
  siglaproj,
  nomeproj,
  datainiproj,
  dataprevproj,
  datafimproj,
  descproj,
  numinc,
  codesp,
  codstatusgeral,
  nomestatusgeral,
  nomeesp,
  tempmininc,
  tempmaxinc,
  umimininc,
  umimaxinc,
  perinc,
  peraviinc,
  tempminnas,
  tempmaxnas,
  umiminnas,
  umimaxnas,
  pernas,
  peravinas,
  perrec,
  codtipoent,
  nometipoent,
  tipoentmin,
  codstatusproj,
  nomestatusproj,
  codstatusin,
  datainiinc,
  dataprevinc,
  datafiminc,
  numovoinii,
  numovodesi,
  numovotransf,
  obsstatusinc)
AS
SELECT 
  projeto.codproj,
  projeto.siglaproj,
  projeto.nomeproj,
  projeto.datainiproj,
  projeto.dataprevproj,
  projeto.datafimproj,
  projeto.descproj,
  projeto.numinc,
  especieave.codesp,
  statusgeral.codstatusgeral,
  statusgeral.nomestatusgeral,
  especieave.nomeesp,
  especieave.tempmininc,
  especieave.tempmaxinc,
  especieave.umimininc,
  especieave.umimaxinc,
  especieave.perinc,
  especieave.peraviinc,
  especieave.tempminnas,
  especieave.tempmaxnas,
  especieave.umiminnas,
  especieave.umimaxnas,
  especieave.pernas,
  especieave.peravinas,
  especieave.perrec,
  tipoentidade.codtipoent,
  tipoentidade.nometipoent,
  tipoentidade.tipoentmin,
  statusprojeto.codstatusproj,
  statusprojeto.nomestatusproj,
  incubacao.codstatusin,
  incubacao.datainiinc,
  incubacao.dataprevinc,
  incubacao.datafiminc,
  incubacao.numovoinii,
  incubacao.numovodesi,
  incubacao.numovotransf,
  incubacao.obsstatusinc
FROM
 public.projeto
 INNER JOIN public.incubacao ON (public.projeto.codproj=public.incubacao.codproj)
 INNER JOIN public.especieave ON (public.projeto.codesp=public.especieave.codesp)
 INNER JOIN public.tipoentidade ON (public.projeto.codtipoent=public.tipoentidade.codtipoent)
 INNER JOIN public.statusprojeto ON (public.projeto.codstatusproj=public.statusprojeto.codstatusproj)
 INNER JOIN public.statusgeral ON (public.especieave.codstatusgeral=public.statusgeral.codstatusgeral)
WHERE
  (public.projeto.codproj = public.incubacao.codproj) AND 
  (public.projeto.codesp = public.especieave.codesp) AND 
  (public.projeto.codtipoent = public.tipoentidade.codtipoent) AND 
  (public.especieave.codstatusgeral = public.statusgeral.codstatusgeral) AND 
  (public.projeto.codstatusproj = public.statusprojeto.codstatusproj)