CREATE OR REPLACE VIEW "public"."vProjetoIncubacaoIncubadoraBandeja" (
  codproj,
  codesp,
  siglaproj,
  nomeproj,
  datainiproj,
  dataprevproj,
  datafimproj,
  descproj,
  numinc,
  nomeesp,
  tempmininc,
  tempmaxinc,
  umimininc,
  umimaxinc,
  perinc,
  peraviinc,
  tempminnas,
  tempmaxnas,
  umiminnas,
  umimaxnas,
  pernas,
  peravinas,
  perrec,
  nometipoent,
  tipoentmin,
  codstatusproj,
  nomestatusproj,
  codinc,
  datainiinc,
  dataprevinc,
  datafiminc,
  numovoinii,
  numovodesi,
  numovotransf,
  obsstatusinc,
  codstatusin,
  nomestatusin,
  nlinban,
  ncolban,
  ovotransf,
  codmotdes,
  motdes,
  codposbanenc,
  nposenc,
  dataaloenc,
  dataretenc,
  codenc,
  nomeenc,
  tposenc,
  descenc,
  codban,
  tlinban,
  tcolban,
  nomeban,
  codent,
  codtipoent,
  nomeent)
AS
SELECT 
  projeto.codproj,
  especieave.codesp,
  projeto.siglaproj,
  projeto.nomeproj,
  projeto.datainiproj,
  projeto.dataprevproj,
  projeto.datafimproj,
  projeto.descproj,
  projeto.numinc,
  especieave.nomeesp,
  especieave.tempmininc,
  especieave.tempmaxinc,
  especieave.umimininc,
  especieave.umimaxinc,
  especieave.perinc,
  especieave.peraviinc,
  especieave.tempminnas,
  especieave.tempmaxnas,
  especieave.umiminnas,
  especieave.umimaxnas,
  especieave.pernas,
  especieave.peravinas,
  especieave.perrec,
  tipoentidade.nometipoent,
  tipoentidade.tipoentmin,
  statusprojeto.codstatusproj,
  statusprojeto.nomestatusproj,
  incubacao.codinc,
  incubacao.datainiinc,
  incubacao.dataprevinc,
  incubacao.datafiminc,
  incubacao.numovoinii,
  incubacao.numovodesi,
  incubacao.numovotransf,
  incubacao.obsstatusinc,
  statusincnas.codstatusin,
  statusincnas.nomestatusin,
  inctement.nlinban,
  inctement.ncolban,
  inctement.ovotransf,
  motivodescarte.codmotdes,
  motivodescarte.motdes,
  posbanenc.codposbanenc,
  posbanenc.nposenc,
  posbanenc.dataaloenc,
  posbanenc.dataretenc,
  incubadora.codenc,
  incubadora.nomeenc,
  incubadora.tposenc,
  incubadora.descenc,
  bandeja.codban,
  bandeja.tlinban,
  bandeja.tcolban,
  bandeja.nomeban,
  entidade.codent,
  entidade.codtipoent,
  entidade.nomeent
FROM
 public.posbanenc
 INNER JOIN public.incubadora ON (public.posbanenc.codenc=public.incubadora.codenc)
 INNER JOIN public.bandeja ON (public.posbanenc.codban=public.bandeja.codban)
 INNER JOIN public.inctement ON (public.posbanenc.codposbanenc=public.inctement.codposbanenc)
 INNER JOIN public.entidade ON (public.inctement.codent=public.entidade.codent)
 INNER JOIN public.motivodescarte ON (public.inctement.codmotdes=public.motivodescarte.codmotdes)
 INNER JOIN public."vEntidadeSala" ON (public.incubadora.codsala=public."vEntidadeSala".codent)
 INNER JOIN public.incubacao ON (public.inctement.codinc=public.incubacao.codinc)
 INNER JOIN public.projeto ON (public.incubacao.codproj=public.projeto.codproj)
 INNER JOIN public.tipoentidade ON (public.projeto.codtipoent=public.tipoentidade.codtipoent)
 INNER JOIN public.especieave ON (public.projeto.codesp=public.especieave.codesp)
 INNER JOIN public.statusprojeto ON (public.projeto.codstatusproj=public.statusprojeto.codstatusproj)
 INNER JOIN public.statusincnas ON (public.statusincnas.codstatusin=public.incubacao.codstatusin)
WHERE
  (public.inctement.codinc = public.incubacao.codinc) AND 
  (public.incubacao.codstatusin = public.statusincnas.codstatusin) AND 
  (public.inctement.codmotdes = public.motivodescarte.codmotdes) AND 
  (public.inctement.codposbanenc = public.posbanenc.codposbanenc) AND 
  (public.inctement.codent = public.entidade.codent) AND 
  (public.bandeja.codban = public.posbanenc.codban) AND 
  (public.posbanenc.codenc = public.incubadora.codenc) AND 
  (public.incubadora.codsala = public."vEntidadeSala".codent) AND 
  (public.incubacao.codproj = public.projeto.codproj) AND 
  (public.projeto.codtipoent = public.tipoentidade.codtipoent) AND 
  (public.projeto.codesp = public.especieave.codesp) AND 
  (public.projeto.codstatusproj = public.statusprojeto.codstatusproj)