package broker;

import java.sql.*;
import classepersistente.*;
import javaUtil.*;

/*@autor Arthur Maaneiro Magyar, Fbio Glauco dos Santos, Luciano Padilha*/
public class BrokerEntidadeOvo extends BrokerConexao
{
	
	private String codigobarras;
	private	String celula;
	private String cor;
	private String formato;
	private String desinfeccao;
	private	String aquisicao;
	private String datacoleta;
	private String aspecto;
	private String peso;
	private String porosidade;
	private String incubavel;
	private String descricao;
	private Statement stmt;
	private String aux;
	private ResultSet rs;

	
	
    //mtodo para desmaterializar uma classe no banco
	public int desmaterializar()throws SQLException
	{ TransferData data=new TransferData();
		try
		{
				
			Connection con = criaConexao();
			stmt=con.createStatement();
			
			aux="INSERT INTO Entidade (CodEnt, CodStatusGeral, CodTipoEnt, NomeEnt, DescEnt) VALUES("; 
			aux+="DEFAULT";
			aux+=",1";
			aux+=",1";
			aux+=",'"+codigobarras+"'";
			aux+=",'"+descricao+"'); ";
			
			aux+="INSERT INTO Ovo (CodOvo, CodBarras, CodDesOvo, CodStatusOvo, CodForOvo, CodCorOvo, CodCel, AquisOvo, DataColOvo, AspOvo, PesoOvo, PorOvo, Incubavel) VALUES("; 
			aux+="DEFAULT";
			aux+=","+codigobarras;
			aux+=","+desinfeccao;
			aux+=",1";
			aux+=","+formato;
			aux+=","+cor;
			aux+=","+celula;
			aux+=","+aquisicao;
			aux+=",'"+data.DataPGravar(datacoleta)+"'";
			aux+=",'"+aspecto+"'";
			aux+=","+peso;
			aux+=","+porosidade;
			aux+=",'"+incubavel+"');";
			
			System.out.println("comando Sql:"+aux);
			stmt.executeQuery(aux);
	        con.close();
	        stmt.close();
		}	
		catch(SQLException e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("SQL Exception no metodo desmaterializar  BrokerEntidadeOvo Query->" + aux);
		}
		catch(Exception e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("saiu no metodo selectAllEntidadeOvo  BrokerEntidadeOvo");
		}		

		return 56;
       
		}
	
    //mtodo para desmaterializar uma classe no banco
	public int desmaterializar(String codigo)throws SQLException
	{ TransferData data=new TransferData();
	try
	{
		Connection con = criaConexao();
		stmt=con.createStatement();
		aux="";
		aux="UPDATE Ovo INNER JOIN Entidade ON Entidade.CodEnt = Ovo.CodOvo SET CodBarras="+codigobarras+",CodDesOvo="+desinfeccao+",CodForOvo="+formato+",CodCorOvo="+cor+",CodCelula="+celula+",AquisOvo="+aquisicao+",DataColOvo='"+data.DataPGravar(datacoleta)+"',AspOvo='"+aspecto+"',PesoOvo="+peso+",PorOvo="+porosidade+",DescEnt='"+descricao+"' WHERE  CodBarras="+codigobarras+";"; 
		stmt.executeQuery(aux);
        con.close();
        stmt.close();
	}
	catch(SQLException e)
	{
		System.out.println (e.getMessage());
		e.printStackTrace();
		System.out.println("SQL Exception no metodo desmaterializar  BrokerEntidadeOvo Query->" + aux);
	}
	catch(Exception e)
	{
		System.out.println (e.getMessage());
		e.printStackTrace();
		System.out.println("saiu no metodo selectAllEntidadeOvo  BrokerEntidadeOvo");
	}		

	return 56;
   
	}
	
	//mtodo para construir uma classe no banco
	public EntidadeOvo materializar(String codigo)
	{
		EntidadeOvo  auxEntidadeOvo = new EntidadeOvo();
		
		try
		{
			con = criaConexao();
			stmt=con.createStatement();
			aux="SELECT * FROM Ovo INNER JOIN Entidade ON Entidade.CodEnt = Ovo.CodOvo WHERE CodBarras="+codigobarras; 
			rs = stmt.executeQuery(aux);
	        while(rs.next())
	        {        	
	    		auxEntidadeOvo.setCodigobarras(rs.getString("CodBarras"));
	    		auxEntidadeOvo.setCelula(rs.getString("CodCel"));
	    		auxEntidadeOvo.setCor(rs.getString("CodCorOvo"));
	    		auxEntidadeOvo.setFormato(rs.getString("CodForOvo"));
	    		auxEntidadeOvo.setDesinfeccao(rs.getString("CodDesOvo"));
	    		auxEntidadeOvo.setAquisicao(rs.getString("AquisOvo"));
	    		auxEntidadeOvo.setDatacoleta(rs.getString("DataColOvo"));
	    		auxEntidadeOvo.setAspecto(rs.getString("AspOvo"));
	    		auxEntidadeOvo.setPeso(rs.getString("PesoOvo"));
	    		auxEntidadeOvo.setPorosidade(rs.getString("PorOvo"));
	    		auxEntidadeOvo.setIncubavel(rs.getString("Incubavel"));
	    		auxEntidadeOvo.setDescricao(rs.getString("DescEnt"));
	        }
	        rs.close();
			con.close();
	        stmt.close();
		}	
		catch(SQLException e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("SQL Exception no metodo desmaterializar  BrokerEntidadeOvo Query->" + aux);
		}
		catch(Exception e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("saiu no metodo selectAllEntidadeOvo BrokerLogin");
		}		
		return auxEntidadeOvo;
	}
	

	public String getAspecto() {
		return aspecto;
	}

	public void setAspecto(String aspecto) {
		this.aspecto = aspecto;
	}

	public String getCor() {
		return cor;
	}

	public void setCor(String cor) {
		this.cor = cor;
	}

	public String getCelula() {
		return celula;
	}

	public void setCelula(String celula) {
		this.celula = celula;
	}

	public String getCodigobarras() {
		return codigobarras;
	}

	public void setCodigobarras(String codigobarras) {
		this.codigobarras = codigobarras;
	}

	public String getFormato() {
		return formato;
	}

	public void setFormato(String formato) {
		this.formato = formato;
	}

	public String getDatacoleta() {
		return datacoleta;
	}

	public void setDatacoleta(String datacoleta) {
		this.datacoleta = datacoleta;
	}

	public String getAquisicao() {
		return aquisicao;
	}

	public void setAquisicao(String aquisicao) {
		this.aquisicao = aquisicao;
	}

	public String getDesinfeccao() {
		return desinfeccao;
	}

	public void setDesinfeccao(String desinfeccao) {
		this.desinfeccao = desinfeccao;
	}

	public String getPeso() {
		return peso;
	}

	public void setPeso(String peso) {
		this.peso = peso;
	}

	public String getPorosidade() {
		return porosidade;
	}

	public void setPorosidade(String porosidade) {
		this.porosidade = porosidade;
	}
	
	public String getIncubavel() {
		return incubavel;
	}

	public void setIncubavel(String incubavel) {
		this.incubavel = incubavel;
	}
	
	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

	
	
	
	
}