package broker;

import java.sql.*;
import classepersistente.*;

/*@autor Arthur Maaneiro Magyar, Fbio Glauco dos Santos, Luciano Padilha*/
public class BrokerIncubadoraBandeja extends BrokerConexao
{
	private String codigo;
	private String incubadora;
	private	String bandeja;
	private String posicao;
	private String statusGeral;
	private Statement stmt;
	private String aux;
	private ResultSet rs;
	private String var;

    //mtodo para desmaterializar uma classe no banco
	public String desmaterializar(IncubadoraBandeja ib)throws SQLException
	{
		try
		{
			Connection con = criaConexao();
			stmt=con.createStatement();
			aux="SELECT codposbanenc from posbanenc WHERE codban="+ib.getBandeja();
			rs=stmt.executeQuery(aux);
			
			var="B";
			if(rs.next()){
			var="A";	
			}
			if(var.equals("B")){
				
					aux="INSERT INTO PosBanEnc (CodPosBanEnc, CodStatusGeral, CodEnc, CodBan, NPosEnc, DataAloEnc, DataRetEnc) VALUES("; 
					aux+="DEFAULT";
					aux+=",1";
					aux+=","+ib.getIncubadora();
					aux+=","+ib.getBandeja();
					aux+=","+ib.getPosinc();
					aux+=",CURRENT_TIMESTAMP";
					aux+=",null);";
					System.out.println("comando Sql:"+aux);
					stmt.execute(aux);
			
			
					
			}else{
				System.out.println("to passando aquiincubadora");
				desmaterializarU(ib);
				
			}
			rs.close();
	        con.close();
	        stmt.close();
		}	
		catch(SQLException e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("SQL Exception no metodo desmaterializar  BrokerUsuario Query->" + aux);
		}
		catch(Exception e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("saiu no metodo selectAllUsuario  BrokerLogin");
		}
		return "efetuado";
	}   
	
	public String desmaterializarN(IncubadoraBandeja ib)throws SQLException
	{
		try
		{
			Connection con = criaConexao();
			stmt=con.createStatement();
			aux="SELECT codposbannes from posbannes WHERE codban="+ib.getBandeja();
			rs=stmt.executeQuery(aux);
			var="B";
			if(rs.next()){
			var="A";	
			}
			if(var.equals("B")){
				aux="INSERT INTO PosBanNes(CodPosBanNes, CodStatusGeral, CodNes, CodBan, NPosNes, DataAloNes, DataRetNes) VALUES("; 
				aux+="DEFAULT";
				aux+=",1";
				aux+=","+ib.getNascedouro();
				aux+=","+ib.getBandeja();
				aux+=","+ib.getPosnas();
				aux+=",CURRENT_TIMESTAMP";
				aux+=",null);";
				System.out.println("comando Sql:"+aux);
				stmt.execute(aux);
				
			}else{
				System.out.println("to passando aquinascedouro");
				desmaterializarNU(ib);
			}
			rs.close();
	        con.close();
	        stmt.close();
			
		}	
		catch(SQLException e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("SQL Exception no metodo desmaterializar   Query->" + aux);
		}
		catch(Exception e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("saiu no metodo  ");
		}
		return "efetuado";
	}   
	//mtodo de excluso
	public void mudarIncubadoraBandeja(IncubadoraBandeja ib)
	{
		try
		{
			System.out.println("estou dentro do broker codigo="+codigo);
			Connection con = criaConexao();
			stmt=con.createStatement();
			aux="";
			aux="UPDATE PosBanEnc SET CodStatusGeral="+2+" DataRecEnt=CURRENT_TIMESTAMP WHERE Codban="+ib.getBandeja()+";"; 
			stmt.executeQuery(aux);
	        con.close();
	        stmt.close();
		}	
		catch(SQLException e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("SQL Exception no metodo desmaterializar  BrokerUsuario Query->" + aux);
		}
		catch(Exception e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
		}
	}
	
	//faz update quando a bandeja ja foi alocada em incubadora
	public int desmaterializarU(IncubadoraBandeja ib)throws SQLException
	{
		try
		{
			Connection con = criaConexao();
			stmt=con.createStatement();
			aux="";
			aux="UPDATE PosBanEnc SET  dataaloenc=CURRENT_TIMESTAMP, dataretenc=null,codenc="+ib.getIncubadora()+",nposenc="+ib.getPosinc()+" WHERE Codban='"+ib.getBandeja()+"';"; 
			stmt.executeUpdate(aux);
	        con.close();
	        stmt.close();
		}	
		catch(SQLException e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("SQL Exception no metodo desmaterializar  BrokerUsuario Query->" + aux);
		}
		catch(Exception e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("saiu no metodo selectAllUsuario  BrokerLogin");
		}		
		return 56;
	}
	public int desalocarI(String banI)throws SQLException
	{
		try
		{
			Connection con = criaConexao();
			stmt=con.createStatement();
			aux="";
			aux="UPDATE PosBanEnc SET  dataretenc=CURRENT_TIMESTAMP WHERE Codban='"+banI+"';"; 
			System.out.println("sql->"+aux);
			stmt.executeUpdate(aux);
	        con.close();
	        stmt.close();
		}	
		catch(SQLException e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("SQL Exception no metodo desmaterializar  BrokerUsuario Query->" + aux);
		}
		catch(Exception e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("saiu no metodo selectAllUsuario  BrokerLogin");
		}		
		return 56;
	}
	public int desalocarN(String banN)throws SQLException
	{
		try
		{
			Connection con = criaConexao();
			stmt=con.createStatement();
			aux="";
			aux="UPDATE PosBanNes SET  dataretnes=CURRENT_TIMESTAMP WHERE Codban='"+banN+"';"; 
			System.out.println("sql->"+aux);
			stmt.executeUpdate(aux);
	        con.close();
	        stmt.close();
		}	
		catch(SQLException e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("SQL Exception no metodo desmaterializar  BrokerUsuario Query->" + aux);
		}
		catch(Exception e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("saiu no metodo selectAllUsuario  BrokerLogin");
		}		
		return 56;
	}
	//faz update quando a bandeja ja foi alocada em nascedouro
	
	public int desmaterializarNU(IncubadoraBandeja ib)throws SQLException
	{
		try
		{
			Connection con = criaConexao();
			stmt=con.createStatement();
			aux="";
			aux="UPDATE PosBanNes SET  dataalones=CURRENT_TIMESTAMP,dataretnes=null,codnes="+ib.getNascedouro()+",nposnes="+ib.getPosnas()+" WHERE CodPosBannes='"+ib.getBandeja()+"';"; 
			stmt.executeUpdate(aux);
	        con.close();
	        stmt.close();
		}	
		catch(SQLException e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("SQL Exception no metodo desmaterializar  BrokerUsuario Query->" + aux);
		}
		catch(Exception e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("saiu no metodo selectAllUsuario  BrokerLogin");
		}		
		return 56;
	}
	
	
	
	
	
	//mtodo que constroi um objeto incubadorabandeja
	public IncubadoraBandeja materializar(String codigo)
	{
		IncubadoraBandeja auxIncubadoraBandeja= new IncubadoraBandeja();
		try
		{
			con = criaConexao();
			stmt=con.createStatement();
			aux="SELECT * FROM PosBanEnc WHERE CodPosBanEnc='"+codigo+"'"; 
			rs = stmt.executeQuery(aux);
	        while(rs.next())
	        {
	        	auxIncubadoraBandeja.setIncubadora(rs.getString("CodEnc"));
	        	auxIncubadoraBandeja.setBandeja(rs.getString("CodBan"));
	        	//auxIncubadoraBandeja.setPosicao(rs.getString("NPosEnc"));
	        }
	        rs.close();
			con.close();
	        stmt.close();
		}	
		catch(SQLException e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("SQL Exception no metodo desmaterializar  BrokerUsuario Query->" + aux);
		}
		catch(Exception e)
		{
			System.out.println (e.getMessage());
			e.printStackTrace();
			System.out.println("saiu no");}		
		
		return auxIncubadoraBandeja;
	}

	public String getCodigo() {
		return codigo;
	}

	public void setCodigo(String codigo) {
		this.codigo = codigo;
	}

	public String getIncubadora() {
		return incubadora;
	}

	public void setIncubadora(String incubadora) {
		this.incubadora = incubadora;
	}

	public String getBandeja() {
		return bandeja;
	}

	public void setBandeja(String bandeja) {
		this.bandeja = bandeja;
	}

	public String getPosicao() {
		return posicao;
	}

	public void setPosicao(String posicao) {
		this.posicao = posicao;
	}

	public String getStatusGeral() {
		return statusGeral;
	}

	public void setStatusGeral(String statusGeral) {
		this.statusGeral = statusGeral;
	}
}