package controladora;

import broker.*;
import java.util.*;

/**
 * 
 * @author      Arthur Maaneiro Magyar
 * @author      Fbio Glauco dos Santos
 * @author      Luciano Padilha
 * @version     1.0
 */
public class ControladoraConsulta {
	
	// Bandeja
	public Vector retornaBandeja(){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaBandeja();
	}
	public Vector retornaBandejaAlocadaI(){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaBandejaAlocadaI();
	}
	public Vector retornaBandejaAlocadaN(){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaBandejaAlocadaN();
	}
	public Vector retornaBandejaDesalocada(){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaBandejaDesalocada();
	}
	public Vector retornaBandejaNas(){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaBandejaNas();
	}
	public String retornaPosBan(String cod){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaPosBan(cod);
	}
	public String retornaPosBanNas(String cod){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaPosBanNas(cod);
	}
	public String retornaTamBan(String cod){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaTamBan(cod);
	}
	
	// Celula
	public Vector retornaCelula(){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaCelula();
	}
	
	// Entidade
	public Vector retornaEntidade(){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaEntidade(); 
	}
	public Vector retornaEntidade(String ent){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaEntidade(ent); 
	}
	public String retornaEntMin(String proj){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaEntMin(proj); 
	}
	public Vector retornaTipoEntidade(){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaTipoEntidade(); 
	}
	
	// Especie
	public int retornaDataEspecie(String proj){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaDataEspecie(proj);
	}
	public int retornaDataEspecieNas(String proj){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaDataEspecie(proj);
	}
	public Vector retornaEspecie(){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaEspecie(); 
	}
	
	// Incubacao
	public String buscarQuantidade(String incubacao,String entidade){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.buscarQuantidade(incubacao,entidade); 		
	}
	public String retornaDataIniInc(String cod){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaDataIniInc(cod);
	}
	public Vector retornaIncubacao(String proj){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaIncubacao(proj);
	}
	public Vector retornaEntidadeInc(String inc){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaEntInc(inc);
	}
	
	// Incubadora
	public Vector retornaIncubadora(){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaIncubadora();
	}
	public Vector retornaPosEnc(){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaPosEnc();
	}
	public int retornaPosinc(String cod){
		BrokerConsulta brok = new BrokerConsulta();
		return brok.retornaPosinc(cod);	
	}
	
	// Ovo
	public Vector retornaCorOvo(){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaCorOvo();
	}
	public Vector retornaDesOvo(){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaDesOvo();
	}
	public Vector retornaForOvo(){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaForOvo();
	}
	public Vector retornaStatusOvo(){
		BrokerConsulta  brok = new BrokerConsulta();
		return  brok.retornaStatusOvo();
	}
	
	// Projeto
	public Vector retornaEntidadeProj(String proj){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaEntidadeProj(proj); 
	}
	public String retornaEspProjeto(String projeto){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaEspProjeto(projeto); 
	}
	public Vector retornaProjeto(){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaProjeto(); 
	}
	public String retornaProjInc(String inc){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaProjInc(inc); 
	}
	public Vector retornaStatusProj(){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaStatusProj(); 
	}

	// Status Geral
	public Vector retornaStatus(){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaStatus(); 
	}

	//Usuario
	public Vector retornaGrupo(){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaGrupo(); 
	}
	public Vector retornaStatusUsu(){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaStatusUsu(); 
	}
	
	// Nascedouro
	public Vector retornaNascedouro(){
		BrokerConsulta brok = new BrokerConsulta();
		return brok.retornaNascedouro();
	}
	
	// Nascimento
	public String retornaDadosNas(String nascimento){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaDadosNas(nascimento);
	}
	public Vector retornaDadosNas2(String nascimento){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaDadosNas2(nascimento);
	}
	public Vector retornaNascimento(String proj){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaNascimento(proj);
	}
	public int retornaPosnas(String cod){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaPosnas(cod);
	}
	
	// Principal
	public String  retornaDadosGerais(){
		BrokerConsulta brok = new BrokerConsulta();
		return brok.retornaDadosGerais(); 
	}
	
	// Propriedade
	public Vector retornaPropriedade(){
		BrokerConsulta brok = new BrokerConsulta();
		return  brok.retornaPropriedade();
	}
}