package controladora;

import classepersistente.Usuario;
import broker.BrokerUsuario;
import java.sql.*;
import java.util.Vector;

/**
 * 
 * @author      Arthur Maaneiro Magyar
 * @author      Fbio Glauco dos Santos
 * @author      Luciano Padilha
 * @version     1.0
 */
public class ControladoraUsuario 
{
	// declarao de variveis
	private	String matricula;
	private String nome;
	private String grupo;
	private String senha;
	private String telres;
	private	String telcom;
	private String telcel;
	private String email;
	private String status;

	/**
	 * 
	 * @return 
	 */
	public String gravarUsuario ()throws SQLException
	{
		Usuario auxUsuario = new Usuario();
		auxUsuario.setMatricula(matricula);
		auxUsuario.setNome(nome);
		auxUsuario.setGrupo(grupo);
		auxUsuario.setSenha(senha);
		auxUsuario.setTelres(telres);
		auxUsuario.setTelcom(telcom);
		auxUsuario.setTelcel(telcel);
		auxUsuario.setEmail(email);
		return auxUsuario.gravarUsuario();	
	}
	
	/**
	 * 
	 * @param  mat 
	 * @return 
	 */
	public String gravarUsuario (String mat)throws SQLException
	{
		Usuario auxUsuario = new Usuario();
		auxUsuario.setMatricula(matricula);
		auxUsuario.setNome(nome);
		auxUsuario.setGrupo(grupo);
		auxUsuario.setSenha(senha);
		auxUsuario.setTelres(telres);
		auxUsuario.setTelcom(telcom);
		auxUsuario.setTelcel(telcel);
		auxUsuario.setEmail(email);
		auxUsuario.setStatus(status);
		return auxUsuario.gravarUsuario(mat);	
	}
	
	/**
	 * 
	 * @param  mat 
	 * @return 
	 */
	public String mudarUsuario(String mat)
	{
		BrokerUsuario brok = new BrokerUsuario();
		return brok.mudarUsuario(mat);
	}
	
	/**
	 * Faz conexo com o broker no mtodo de consulta de 1 campo.
	 * @param  campo 
	 * @param  valor 
	 * @return 
	 */
	public Vector retornaUsuario(String campo,String valor,String status){
		BrokerUsuario brok = new BrokerUsuario();
		return brok.retornaConsulta(campo,valor,status); 
	}

	/**
	 * Faz conexo com o broker no mtodo de consulta de 2 campos.
	 * @param  campo  
	 * @param  valor  
	 * @param  campo2 
	 * @param  valor2 
	 * @return 
	 */
	public Vector retornaUsuario(String campo,String valor,String campo2,String valor2,String status){
		BrokerUsuario brok = new BrokerUsuario();
		return  brok.retornaConsulta(campo,valor,campo2,valor2,status) ; 
	}
  
	/**
	 * Faz conexo com o broker no mtodo de consulta de 2 campos.
	 * @return 
	 */
	public Vector retornaUsuario(String status){
		BrokerUsuario brok = new BrokerUsuario();
		return  brok.retornaConsulta(status); 
	}

	/**
	 *
	 * @param  codigo 
	 * @return 
	 */
	public Usuario materializar(String codigo)
	{
		BrokerUsuario brok = new BrokerUsuario();	
		return brok.materializar(codigo);
	}

	// beans - gets e sets
	public String getMatricula() {
		return matricula;
	}
	public void setMatricula(String matricula) {
		this.matricula = matricula;
	}
	public String getNome() {
		return nome;
	}
	public void setNome(String nome) {
		this.nome = nome;
	}
	public String getGrupo() {
		return grupo;
	}
	public void setGrupo(String grupo) {
		this.grupo = grupo;
	}
	public String getSenha() {
		return senha;
	}
	public void setSenha(String senha) {
		this.senha = senha;
	}
	public String getTelres() {
		return telres;
	}
	public void setTelres(String telres) {
		this.telres = telres;
	}
	public String getTelcom() {
		return telcom;
	}
	public void setTelcom(String telcom) {
		this.telcom = telcom;
	}
	public String getTelcel() {
		return telcel;
	}
	public void setTelcel(String telcel) {
		this.telcel = telcel;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
}