package servelet;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpSession;
import javax.servlet.ServletException;
import java.sql.*;
import controladora.*;
import classepersistente.*;
import java.util.*;

/**
 * Servlet Class
 *
 * @web.servlet              name="SISINC"
 *                           display-name="Sistema de Incubao Experimental"
 *                           description="Embriodiagnstico"
 * @web.servlet-mapping      url-pattern="/Embriodiagnostico"
 * @web.servlet-init-param   name=""
 *                           value=""                  
 */
/*@autor Arthur Maaneiro Magyar, Fbio Glauco dos Santos, Luciano Padilha*/

public class Embriodiagnostico extends HttpServlet {
	// declarao do identificador universal da classe
	private static final long serialVersionUID = 18L;
	
	public void doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, java.io.IOException
	{
		doPost(request,response);
	}

	public void doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
	throws javax.servlet.ServletException, java.io.IOException
	{
		
		try
		{
			
			// valida a sesso por grupo de usurio
			int perm = 2; // nvel de acesso
			HttpSession s = request.getSession(false);
			if(s==null){response.sendRedirect("Login");}
			else{classepersistente.Usuario auxUsuario=(classepersistente.Usuario) s.getAttribute("login");
			if((auxUsuario==null)||(auxUsuario.getMatricula()==null))
			{response.sendRedirect("Login");}
			else{if(!auxUsuario.getStatus().equals("1"))
			{request.getRequestDispatcher("scripts/status.jsp").forward(request,response);
			System.out.println("Acesso No Autorizado. Status no est Ativo.");}
			else{if(Integer.parseInt(auxUsuario.getGrupo())>perm)
			{request.setAttribute("retorno",Integer.toString(perm));
			request.getRequestDispatcher("scripts/perm.jsp").forward(request,response);
			System.out.println("Acesso No Autorizado. Necessrio ao menos Nvel "+perm+".");}
			else{
			
			ControladoraSaque auxContSaq= new ControladoraSaque();
			//ControladoraConsulta auxCons= new ControladoraConsulta();
			
			String acao = request.getParameter("acao");
			System.out.println("Ao ->" + acao);
			
			
			
			
		if (acao != null)
		{	
			String tam=null;
			
			//pega as variaveis da pagina//
		String projeto=request.getParameter("CodProj");
		String bandeja=request.getParameter("CodBan");
		String entidade=request.getParameter("CodEnt");
		String dataInicio=request.getParameter("DataIniInc");
		String dataPrev=request.getParameter("DataPrevInc");
		String nascedouro=request.getParameter("CodEnc");
		String codIncubacao=request.getParameter("CodInc");
		String codPos=request.getParameter("CodEncBan");
		//String data=request.getParameter("Data");	
		String qFinal=request.getParameter("qEntidade");	
		String qInicial=request.getParameter("HQtdEntidade");
		//String qTotal=request.getParameter("QtdTotal");
		String codNascimento=request.getParameter("CodNas");
		//imprime valores q vem da pagina//
			System.out.println("***esta em nascimento os dados da tela so em cima****");
			System.out.println("projeto:"+projeto);
			System.out.println("bandeja:"+bandeja);
			System.out.println("entidade:"+entidade);
			System.out.println("data inicio:"+dataInicio);
			System.out.println("nascedouro:"+nascedouro);
			System.out.println("incubacao:"+codIncubacao);
			System.out.println("*codPos:"+codPos);
			System.out.println("HQtdEntidadeInicio:"+qInicial);
			System.out.println("*QtdEntidade:"+qFinal);
			System.out.println("nascimento"+codNascimento);

		
				   //sacando//
				
				   if(acao.equals("Confirmar")){ 
					//classepersistente.Nascimento auxNascimento=new classepersistente.Nascimento();
					
					int x,y,lin,col,index;
					//int qtde;
				    String pos;
				    ArrayList posicoes=new ArrayList();
				   	
				    String cordenada=request.getParameter("cordenada");
				   	index=cordenada.indexOf("-");
					lin=Integer.parseInt(cordenada.substring(0,index));
					col=Integer.parseInt(cordenada.substring(index+1));
					String nasceu=request.getParameter("nasceu");
						
						//se o codigo do nascimento na pagina for branco eu 
						//gravo com um mtodo que grava nascimento
						
						for(x=0;x<lin;x++){
							for(y=0;y<col;y++){
								
								pos=x+"0"+y;
								String caixa=request.getParameter(pos);
								System.out.println("caixa : "+caixa);
								if(caixa==null){
									    int z=Integer.parseInt(request.getParameter("CodEncBan"));
										Posicao posicao=new Posicao();
										posicao.setPosicaoX(x);
										posicao.setPosicaoY(y);
										posicao.setPosicaoZ(z);
										posicao.setNasceu(nasceu);
										posicoes.add(posicao);
										
										}
								}
							}	 
						
//deve retornar nascimento
					try{
								tam=lin+"-"+col;
								//int index1,index2;
								auxContSaq.saque(posicoes);
							
						}
						catch(SQLException e){
								System.out.println(e);
							
						}

					  
				   
				}
			
			
//setar as vriaveis para devolver a pgina
			request.setAttribute("CodProj",projeto);
			request.setAttribute("CodBan",bandeja);
			request.setAttribute("CodEnt",entidade);
			request.setAttribute("DataPrevInc",dataPrev);
			request.setAttribute("CodEnc",nascedouro);
			request.setAttribute("codInc",codIncubacao);
			request.setAttribute("tam",tam);
			request.setAttribute("codNascimento",codNascimento);
			request.setAttribute("CodEncBan",codPos);
			//request.setAttribute("DataPrevInc",data);
			
			
			
			System.out.println("***esta em nascimento os dados da tela so-- em baixo****");
			System.out.println("projeto:"+projeto);
			System.out.println("bandeja:"+bandeja);
			System.out.println("entidade:"+entidade);
			System.out.println("data inicio:"+dataInicio);
			System.out.println("data prev:"+dataPrev);
			System.out.println("nascedouro:"+nascedouro);
			System.out.println("incubacao:"+codIncubacao);
			System.out.println("*codPos:"+codPos);
			System.out.println("*codnasc:"+codNascimento);
			
			
			
			
			
			
			request.getRequestDispatcher("jsp/saque/embcad.jsp").forward(request,response);
			
		
			
		}else{
			
				request.getRequestDispatcher("jsp/saque/embcad.jsp").forward(request,response);
		}

		
			
		}}}}}
			catch(ServletException e)
		{
			System.out.println("Saiu da Classe ");
			System.out.println (e.getMessage());
			e.printStackTrace();
		}
	
			
			
			
	}
	
	
	
}
