package servelet;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpSession;
import javax.servlet.ServletException;
import java.sql.*;
import controladora.ControladoraEspecieAve;

/**
 * Servlet Class
 *
 * @web.servlet              name="SISINC"
 *                           display-name="Sistema de Incubao Experimental"
 *                           description="Cadastrar Espcie de Ave"
 * @web.servlet-mapping      url-pattern="/EspecieAve"
 * @web.servlet-init-param   name=""
 *                           value=""
 */
/*@autor Arthur Maaneiro Magyar, Fbio Glauco dos Santos, Luciano Padilha*/

public class EspecieAve extends HttpServlet {
	// declarao do identificador universal da classe
	private static final long serialVersionUID = 20L;
	
	public void doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, java.io.IOException
	{
		doPost(request,response);
	}

	public void doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
	throws javax.servlet.ServletException, java.io.IOException
	{
		try
		{
			// valida a sesso por grupo de usurio
			int perm = 1; // nvel de acesso
			HttpSession s = request.getSession(false);
			if(s==null){response.sendRedirect("Login");}
			else{classepersistente.Usuario auxUsuario=(classepersistente.Usuario) s.getAttribute("login");
			if((auxUsuario==null)||(auxUsuario.getMatricula()==null))
			{response.sendRedirect("Login");}
			else{if(!auxUsuario.getStatus().equals("1"))
			{request.getRequestDispatcher("scripts/status.jsp").forward(request,response);
			System.out.println("Acesso No Autorizado. Status no est Ativo.");}
			else{if(Integer.parseInt(auxUsuario.getGrupo())>perm)
			{request.setAttribute("retorno",Integer.toString(perm));
			request.getRequestDispatcher("scripts/perm.jsp").forward(request,response);
			System.out.println("Acesso No Autorizado. Necessrio ao menos Nvel "+perm+".");}
			else{
			
			ControladoraEspecieAve auxControladoraEspecieAve = new ControladoraEspecieAve();
			String acao = request.getParameter("Acao");
			String especie = request.getParameter("NomeEsp");
			
			System.out.println("Ao ->" + acao);
			System.out.println("Nome ->" + especie);
			
			
			
		if (acao != null)
		{	
			
			
			//pegando as variaveis da pagina
			String tempmininc=request.getParameter("TempMinInc");
			String tempmaxinc=request.getParameter("TempMaxInc");
			String umimininc=request.getParameter("UmiMinInc");
			String umimaxinc=request.getParameter("UmiMaxInc");
			String perinc=request.getParameter("PerInc");
		    String peraviinc=request.getParameter("PerAviInc");
		    String tempminnas=request.getParameter("TempMinNas");
		    String tempmaxnas=request.getParameter("TempMaxNas");
		    String umiminnas=request.getParameter("UmiMinNas");
		    String umimaxnas=request.getParameter("UmiMaxNas");
		    String pernas=request.getParameter("PerNas");
		    String peravinas=request.getParameter("PerAviNas");
		    String perrec=request.getParameter("PerRec");
		    
		    
			//acerto de nulos
			if (tempmininc.equals("")){tempmininc="NULL";}
			if (tempmaxinc.equals("")){tempmaxinc="NULL";}
			if (umimininc.equals("")){umimininc="NULL";}
			if (umimaxinc.equals("")){umimaxinc="NULL";}
			if (tempminnas.equals("")){tempminnas="NULL";}
			if (tempmaxnas.equals("")){tempmaxnas="NULL";}
			if (umiminnas.equals("")){umiminnas="NULL";}
			if (umimaxnas.equals("")){umimaxnas="NULL";}

			
		    //setando as variaveis na controladora
			auxControladoraEspecieAve.setEspecie(especie);
			auxControladoraEspecieAve.setTempMinInc(tempmininc);
			auxControladoraEspecieAve.setTempMaxInc(tempmaxinc);
			auxControladoraEspecieAve.setUmiMinInc(umimininc);
			auxControladoraEspecieAve.setUmiMaxInc(umimaxinc);
			auxControladoraEspecieAve.setPerInc(perinc);
			auxControladoraEspecieAve.setPerAviInc(peraviinc);
			auxControladoraEspecieAve.setTempMinNas(tempminnas);
			auxControladoraEspecieAve.setTempMaxNas(tempmaxnas);
			auxControladoraEspecieAve.setUmiMinNas(umiminnas);
			auxControladoraEspecieAve.setTempMaxNas(umimaxnas);
			auxControladoraEspecieAve.setPerNas(pernas);
			auxControladoraEspecieAve.setPerAviNas(peravinas);
			auxControladoraEspecieAve.setPerRec(perrec);
			

			try
			{
				auxControladoraEspecieAve.gravarEspecieAve();//passa para a controladora o mtodo de gravar com parametro da espcie. 
				request.getRequestDispatcher("scripts/sucesso.jsp").forward(request,response);
			}
			catch(SQLException e){
				System.out.println("nao esta cadastrando!!");
			}

		}
		else
		{
			request.getRequestDispatcher("jsp/cadastro/espcad.jsp").forward(request,response);
		}

		
			
		}}}}}
			catch(ServletException e)
		{
			System.out.println("Saiu da Classe ");
			System.out.println (e.getMessage());
			e.printStackTrace();
		}
	
			
			
			
	}
	
	
	
}