package servelet;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpSession;
import javax.servlet.ServletException;
import java.sql.*;
import controladora.*;
import classepersistente.*;
import java.util.*;

/**
 * Servlet Class
 *
 * @web.servlet              name="SISINC"
 *                           display-name="Sistema de Incubao Experimental"
 *                           description="Cadastrar Nascimento"
 * @web.servlet-mapping      url-pattern="/Nascimento"
 * @web.servlet-init-param   name=""
 *                           value=""                  
 */
/*@autor Arthur Maaneiro Magyar, Fbio Glauco dos Santos, Luciano Padilha*/

public class Nascimento extends HttpServlet {
	// declarao do identificador universal da classe
	private static final long serialVersionUID = 16L;
	
	public void doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, java.io.IOException
	{
		doPost(request,response);
	}

	public void doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
	throws javax.servlet.ServletException, java.io.IOException
	{
		
		try
		{
			// valida a sesso por grupo de usurio
			int perm = 2; // nvel de acesso
			HttpSession s = request.getSession(false);
			if(s==null){response.sendRedirect("Login");}
			else{classepersistente.Usuario auxUsuario=(classepersistente.Usuario) s.getAttribute("login");
			if((auxUsuario==null)||(auxUsuario.getMatricula()==null))
			{response.sendRedirect("Login");}
			else{if(!auxUsuario.getStatus().equals("1"))
			{request.getRequestDispatcher("scripts/status.jsp").forward(request,response);
			System.out.println("Acesso No Autorizado. Status no est Ativo.");}
			else{if(Integer.parseInt(auxUsuario.getGrupo())>perm)
			{request.setAttribute("retorno",Integer.toString(perm));
			request.getRequestDispatcher("scripts/perm.jsp").forward(request,response);
			System.out.println("Acesso No Autorizado. Necessrio ao menos Nvel "+perm+".");}
			else{
			
			ControladoraNascimento auxContNas= new ControladoraNascimento();
			ControladoraConsulta auxCons= new ControladoraConsulta();
			
			String acao = request.getParameter("acao");
			System.out.println("Ao ->" + acao);
			
			
			
			
		if (acao != null)
		{	
			String tam=null;
			
			//pega as variaveis da pagina//
		String projeto=request.getParameter("CodProj");
		String bandeja=request.getParameter("CodBan");
		String entidade=request.getParameter("CodEnt");
		String dataInicio=request.getParameter("DataIniInc");
		String dataPrev=request.getParameter("DataPrevInc");
		String nascedouro=request.getParameter("CodEnc");
		String codIncubacao=request.getParameter("CodInc");
		String codPos=request.getParameter("CodEncBan");
		String data=request.getParameter("Data");	
		String qFinal=request.getParameter("qEntidade");	
		String qInicial=request.getParameter("HQtdEntidade");
		//String qTotal=request.getParameter("QtdTotal");
		String codNascimento=request.getParameter("HCodNascimento");
		//imprime valores q vem da pagina//
			System.out.println("***esta em nascimento os dados da tela so em cima****");
			System.out.println("projeto:"+projeto);
			System.out.println("bandeja:"+bandeja);
			System.out.println("entidade:"+entidade);
			System.out.println("data inicio:"+dataInicio);
			System.out.println("nascedouro:"+nascedouro);
			System.out.println("incubacao:"+codIncubacao);
			System.out.println("*codPos:"+codPos);
			System.out.println("HQtdEntidadeInicio:"+qInicial);
			System.out.println("*QtdEntidade:"+qFinal);
			System.out.println("nascimento"+codNascimento);
//			posicao e nascedouro//
			
			String incb=auxCons.retornaPosBanNas(bandeja);
			int ind1=incb.indexOf("-");
			int ind2=incb.indexOf(":");
			nascedouro=incb.substring(0,ind1-1);
			codPos=incb.substring(ind1+2,ind2-1);
			
			
			
			
			
			
			
			
				
				
				//buscando uma bandeja//
				if (acao.equals("Buscar Bandeja")){
					ControladoraConsulta cont = new ControladoraConsulta(); 
					tam=cont.retornaTamBan(bandeja);
													    
				}else{
						
					
				   //transferindo ovos de uma entidade//
					//tranferindo posies.
				   if(acao.equals("Transferir")){ 
					
					 
				   

					classepersistente.Nascimento auxNascimento=new classepersistente.Nascimento();
					
					int x,y,lin,col,index,qtde;
				    String pos;
				    ArrayList nascimento=new ArrayList();
				    ArrayList posicoes=new ArrayList();
				   	String cordenada=request.getParameter("cordenada");
				   
				   	qtde=Integer.parseInt(qFinal)-Integer.parseInt(qInicial);
				    
				   	index=cordenada.indexOf("-");
					lin=Integer.parseInt(cordenada.substring(0,index));
					col=Integer.parseInt(cordenada.substring(index+1));
					if(codNascimento.equals("")){
						
						//se o codigo do nascimento na pagina for branco eu 
						//gravo com um mtodo que grava nascimento
						
						for(x=0;x<lin;x++){
							for(y=0;y<col;y++){
								
								pos=x+"0"+y;
								String caixa=request.getParameter(pos);
								System.out.println("caixa : "+caixa);
								if(caixa!=null){
									    int z=Integer.parseInt(request.getParameter("CodEncBan"));
										Posicao posicao=new Posicao();
										posicao.setEntidade(entidade);
										
										posicao.setPosicaoX(x);
										posicao.setPosicaoY(y);
										posicao.setPosicaoZ(z);
										auxNascimento.setIncubacao(codIncubacao);
										auxNascimento.setDatini(dataInicio);
										auxNascimento.setData(data);
										posicoes.add(posicao);
										nascimento.add(auxNascimento);
										}
									}
							}	 
						
//deve retornar nascimento
						try{
								tam=lin+"-"+col;
								int index1;
								
								//passa para o mtodo os objetos "incubacao" e "posicoes" para gravar nas duas tabelas "incubacao" e "inctempos" 
								
								String nas=auxContNas.transferir(nascimento,posicoes,qtde,codIncubacao,entidade);
								System.out.println("nas:"+nas);
								index1=nas.indexOf("|");
								codNascimento=nas.substring(0,index1);
								data=nas.substring(index+2);
								dataPrev=data;
						}
						catch(SQLException e){
								System.out.println(e);
							
						}
							
						
						
						
					}else{	
						System.out.println("Estou passando por nao nulo*****************************");
						
						//	nascimento nao nulo//
						
						for(x=0;x<lin;x++){
							for(y=0;y<col;y++){
								
								pos=x+"0"+y;
								String caixa=request.getParameter(pos);
								if(caixa!=null){
									    int z=Integer.parseInt(request.getParameter("CodEncBan"));
										Posicao posicao=new Posicao();
										posicao.setEntidade(entidade);
										posicao.setPosicaoX(x);
										posicao.setPosicaoY(y);
										posicao.setPosicaoZ(z);
										posicao.setNascimento(Integer.parseInt(codNascimento));
										auxNascimento.setIncubacao(codIncubacao);
										auxNascimento.setDatini(dataInicio);
										auxNascimento.setData(data);
										System.out.println(" ent:"+entidade+" caixa:"+caixa+" proj:"+codIncubacao+"datIni"+dataInicio+"pos:"+pos);
									
										posicoes.add(posicao);
										
										}
									}
								}	 
//deve retornar nascimento						
						try{
							
							tam=lin+"-"+col;	
								
							String nas=auxContNas.transferir(posicoes,qtde,codIncubacao,entidade);
							System.out.println("nas:"+nas);
							int index2=nas.indexOf("|");
							codNascimento=nas.substring(0,index2);
							data=nas.substring(index+2);
							System.out.println("nas:"+nas+"codnas:"+codNascimento+"data"+data);
							dataPrev=data;
							}
							catch(SQLException e){
								System.out.println(e);
								
							}
						
												
							
						
					  
				   }
				}
				   	
				   						
							
						
					  
				   
				}
			
			Vector bandejaCheia=new Vector(); 
//setar as vriaveis para devolver a pgina
			request.setAttribute("CodProj",projeto);
			request.setAttribute("CodBan",bandeja);
			request.setAttribute("CodEnt",entidade);
			request.setAttribute("DataPrevInc",dataPrev);
			request.setAttribute("CodEnc",nascedouro);
			request.setAttribute("CodInc",codIncubacao);
			request.setAttribute("incubacao",codIncubacao);
			request.setAttribute("tam",tam);
			request.setAttribute("codnasc",codNascimento);
			request.setAttribute("CodEncBan",codPos);
			//request.setAttribute("DataPrevInc",data);
			
			bandejaCheia=auxContNas.setarBandeja(codPos);
			request.setAttribute("bc",bandejaCheia);
			
			
			System.out.println("***esta em nascimento os dados da tela so-- em baixo****");
			System.out.println("projeto:"+projeto);
			System.out.println("bandeja:"+bandeja);
			System.out.println("entidade:"+entidade);
			System.out.println("data inicio:"+dataInicio);
			System.out.println("data prev:"+dataPrev);
			System.out.println("nascedouro:"+nascedouro);
			System.out.println("incubacao:"+codIncubacao);
			System.out.println("*codPos:"+codPos);
			System.out.println("*codnasc:"+codNascimento);
			
			
			
			
			
			
			request.getRequestDispatcher("jsp/nascimento/nascad.jsp").forward(request,response);
			
		
			
		}else{
			
				request.getRequestDispatcher("jsp/nascimento/nascad.jsp").forward(request,response);
		}

		
			
		}}}}}
			catch(ServletException e)
		{
			System.out.println("Saiu da Classe ");
			System.out.println (e.getMessage());
			e.printStackTrace();
		}
	
			
			
			
	}
	
	
	
}
